#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_d0h0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (d0|h0) integrals */

void d1hrr_order_d0h0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[2][5][10] = int_stack + 126;
 Libderiv->deriv_classes[2][5][9] = int_stack + 252;
 Libderiv->deriv_classes[2][5][8] = int_stack + 378;
 Libderiv->deriv_classes[2][5][7] = int_stack + 504;
 Libderiv->deriv_classes[2][5][6] = int_stack + 630;
 Libderiv->deriv_classes[2][5][2] = int_stack + 756;
 Libderiv->deriv_classes[2][5][1] = int_stack + 882;
 Libderiv->deriv_classes[2][5][0] = int_stack + 1008;
 memset(int_stack,0,9072);

 Libderiv->dvrr_stack = int_stack + 1134;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_d0h0(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[11] = int_stack + 0;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[10] = int_stack + 126;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[9] = int_stack + 252;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[8] = int_stack + 378;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[7] = int_stack + 504;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[6] = int_stack + 630;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[2] = int_stack + 756;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[1] = int_stack + 882;
 /*--- compute (d0|h0) ---*/
     Libderiv->ABCD[0] = int_stack + 1008;

}
