#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_ddhd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dd|hd) integrals */

void d1hrr_order_ddhd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][5][11] = int_stack + 0;
 Libderiv->deriv_classes[2][6][11] = int_stack + 126;
 Libderiv->deriv_classes[2][7][11] = int_stack + 294;
 Libderiv->deriv_classes[3][5][11] = int_stack + 510;
 Libderiv->deriv_classes[3][6][11] = int_stack + 720;
 Libderiv->deriv_classes[3][7][11] = int_stack + 1000;
 Libderiv->deriv_classes[4][5][11] = int_stack + 1360;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1675;
 Libderiv->deriv_classes[4][7][11] = int_stack + 2095;
 Libderiv->deriv_classes[2][5][10] = int_stack + 2635;
 Libderiv->deriv_classes[2][6][10] = int_stack + 2761;
 Libderiv->deriv_classes[2][7][10] = int_stack + 2929;
 Libderiv->deriv_classes[3][5][10] = int_stack + 3145;
 Libderiv->deriv_classes[3][6][10] = int_stack + 3355;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3635;
 Libderiv->deriv_classes[4][5][10] = int_stack + 3995;
 Libderiv->deriv_classes[4][6][10] = int_stack + 4310;
 Libderiv->deriv_classes[4][7][10] = int_stack + 4730;
 Libderiv->deriv_classes[2][5][9] = int_stack + 5270;
 Libderiv->deriv_classes[2][6][9] = int_stack + 5396;
 Libderiv->deriv_classes[2][7][9] = int_stack + 5564;
 Libderiv->deriv_classes[3][5][9] = int_stack + 5780;
 Libderiv->deriv_classes[3][6][9] = int_stack + 5990;
 Libderiv->deriv_classes[3][7][9] = int_stack + 6270;
 Libderiv->deriv_classes[4][5][9] = int_stack + 6630;
 Libderiv->deriv_classes[4][6][9] = int_stack + 6945;
 Libderiv->deriv_classes[4][7][9] = int_stack + 7365;
 Libderiv->deriv_classes[2][5][8] = int_stack + 7905;
 Libderiv->deriv_classes[2][6][8] = int_stack + 8031;
 Libderiv->deriv_classes[2][7][8] = int_stack + 8199;
 Libderiv->deriv_classes[3][5][8] = int_stack + 8415;
 Libderiv->deriv_classes[3][6][8] = int_stack + 8625;
 Libderiv->deriv_classes[3][7][8] = int_stack + 8905;
 Libderiv->deriv_classes[4][5][8] = int_stack + 9265;
 Libderiv->deriv_classes[4][6][8] = int_stack + 9580;
 Libderiv->deriv_classes[4][7][8] = int_stack + 10000;
 Libderiv->deriv_classes[2][5][7] = int_stack + 10540;
 Libderiv->deriv_classes[2][6][7] = int_stack + 10666;
 Libderiv->deriv_classes[2][7][7] = int_stack + 10834;
 Libderiv->deriv_classes[3][5][7] = int_stack + 11050;
 Libderiv->deriv_classes[3][6][7] = int_stack + 11260;
 Libderiv->deriv_classes[3][7][7] = int_stack + 11540;
 Libderiv->deriv_classes[4][5][7] = int_stack + 11900;
 Libderiv->deriv_classes[4][6][7] = int_stack + 12215;
 Libderiv->deriv_classes[4][7][7] = int_stack + 12635;
 Libderiv->deriv_classes[2][5][6] = int_stack + 13175;
 Libderiv->deriv_classes[2][6][6] = int_stack + 13301;
 Libderiv->deriv_classes[2][7][6] = int_stack + 13469;
 Libderiv->deriv_classes[3][5][6] = int_stack + 13685;
 Libderiv->deriv_classes[3][6][6] = int_stack + 13895;
 Libderiv->deriv_classes[3][7][6] = int_stack + 14175;
 Libderiv->dvrr_classes[4][5] = int_stack + 14535;
 Libderiv->deriv_classes[4][5][6] = int_stack + 14850;
 Libderiv->dvrr_classes[4][6] = int_stack + 15165;
 Libderiv->deriv_classes[4][6][6] = int_stack + 15585;
 Libderiv->deriv_classes[4][7][6] = int_stack + 16005;
 Libderiv->deriv_classes[2][5][2] = int_stack + 16545;
 Libderiv->deriv_classes[2][6][2] = int_stack + 16671;
 Libderiv->deriv_classes[2][7][2] = int_stack + 16839;
 Libderiv->deriv_classes[3][5][2] = int_stack + 17055;
 Libderiv->deriv_classes[3][6][2] = int_stack + 17265;
 Libderiv->deriv_classes[3][7][2] = int_stack + 17545;
 Libderiv->deriv_classes[4][5][2] = int_stack + 17905;
 Libderiv->deriv_classes[4][6][2] = int_stack + 18220;
 Libderiv->deriv_classes[4][7][2] = int_stack + 18640;
 Libderiv->deriv_classes[2][5][1] = int_stack + 19180;
 Libderiv->deriv_classes[2][6][1] = int_stack + 19306;
 Libderiv->deriv_classes[2][7][1] = int_stack + 19474;
 Libderiv->deriv_classes[3][5][1] = int_stack + 19690;
 Libderiv->deriv_classes[3][6][1] = int_stack + 19900;
 Libderiv->deriv_classes[3][7][1] = int_stack + 20180;
 Libderiv->deriv_classes[4][5][1] = int_stack + 20540;
 Libderiv->deriv_classes[4][6][1] = int_stack + 20855;
 Libderiv->deriv_classes[4][7][1] = int_stack + 21275;
 Libderiv->dvrr_classes[2][5] = int_stack + 21815;
 Libderiv->dvrr_classes[2][6] = int_stack + 21941;
 Libderiv->dvrr_classes[2][7] = int_stack + 22109;
 Libderiv->deriv_classes[2][5][0] = int_stack + 22325;
 Libderiv->deriv_classes[2][6][0] = int_stack + 22451;
 Libderiv->deriv_classes[2][7][0] = int_stack + 22619;
 Libderiv->dvrr_classes[3][5] = int_stack + 22835;
 Libderiv->dvrr_classes[3][6] = int_stack + 23045;
 Libderiv->dvrr_classes[3][7] = int_stack + 23325;
 Libderiv->deriv_classes[3][5][0] = int_stack + 23685;
 Libderiv->deriv_classes[3][6][0] = int_stack + 23895;
 Libderiv->deriv_classes[3][7][0] = int_stack + 24175;
 Libderiv->deriv_classes[4][5][0] = int_stack + 24535;
 Libderiv->deriv_classes[4][6][0] = int_stack + 24850;
 Libderiv->deriv_classes[4][7][0] = int_stack + 25270;
 memset(int_stack,0,206480);

 Libderiv->dvrr_stack = int_stack + 74635;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_ddhd(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25810,int_stack+21941,int_stack+21815,6);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+26188,int_stack+126,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21815,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+26566,int_stack+294,int_stack+126, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21941,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27070,int_stack+26566,int_stack+26188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25810,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26188,int_stack+23045,int_stack+22835,10);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+27826,int_stack+720,int_stack+510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22835,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+28456,int_stack+1000,int_stack+720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23045,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+28456,int_stack+27826, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26188,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+27826,int_stack+0,int_stack+27070,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26818,int_stack+15165,int_stack+14535,15);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+30094,int_stack+1675,int_stack+1360, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14535,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31039,int_stack+2095,int_stack+1675, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+32299,int_stack+31039,int_stack+30094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26818,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+34189,int_stack+32299,int_stack+0,126);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+2761,int_stack+2635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21815, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+378,int_stack+2929,int_stack+2761, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21941, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+882,int_stack+378,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25810, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+3355,int_stack+3145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22835, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1638,int_stack+3635,int_stack+3355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23045, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2478,int_stack+1638,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26188, 0.0, zero_stack,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+30094,int_stack+2478,int_stack+882,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+4310,int_stack+3995, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14535, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+945,int_stack+4730,int_stack+4310, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37969,int_stack+945,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26818, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+39859,int_stack+37969,int_stack+2478,126);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+5396,int_stack+5270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21815, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38347,int_stack+5564,int_stack+5396, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21941, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38851,int_stack+38347,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25810, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+5990,int_stack+5780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22835, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+6270,int_stack+5990, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23045, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+840,int_stack+0,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26188, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+2100,int_stack+840,int_stack+38851,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+6945,int_stack+6630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14535, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4368,int_stack+7365,int_stack+6945, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5628,int_stack+4368,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26818, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+43639,int_stack+5628,int_stack+840,126);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+8031,int_stack+7905, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+38347,int_stack+8199,int_stack+8031, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+21941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+38851,int_stack+38347,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+25810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+8625,int_stack+8415, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4368,int_stack+8905,int_stack+8625, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5208,int_stack+4368,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6468,int_stack+5208,int_stack+38851,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37969,int_stack+9580,int_stack+9265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+10000,int_stack+9580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+47419,int_stack+0,int_stack+37969, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+49309,int_stack+47419,int_stack+5208,126);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47419,int_stack+10666,int_stack+10540, 0.0, zero_stack, 1.0, int_stack+21815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47797,int_stack+10834,int_stack+10666, 0.0, zero_stack, 1.0, int_stack+21941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+48301,int_stack+47797,int_stack+47419, 0.0, zero_stack, 1.0, int_stack+25810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47419,int_stack+11260,int_stack+11050, 0.0, zero_stack, 1.0, int_stack+22835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+11540,int_stack+11260, 0.0, zero_stack, 1.0, int_stack+23045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+37969,int_stack+47419, 0.0, zero_stack, 1.0, int_stack+26188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+8736,int_stack+0,int_stack+48301,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+47419,int_stack+12215,int_stack+11900, 0.0, zero_stack, 1.0, int_stack+14535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+12635,int_stack+12215, 0.0, zero_stack, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4368,int_stack+37969,int_stack+47419, 0.0, zero_stack, 1.0, int_stack+26818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+53089,int_stack+4368,int_stack+0,126);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+13301,int_stack+13175, 1.0, int_stack+21815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+378,int_stack+13469,int_stack+13301, 1.0, int_stack+21941, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+882,int_stack+378,int_stack+0, 1.0, int_stack+25810, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+13895,int_stack+13685, 1.0, int_stack+22835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+4368,int_stack+14175,int_stack+13895, 1.0, int_stack+23045, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5208,int_stack+4368,int_stack+0, 1.0, int_stack+26188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+11004,int_stack+5208,int_stack+882,126);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+15585,int_stack+14850, 1.0, int_stack+14535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+47419,int_stack+16005,int_stack+15585, 1.0, int_stack+15165, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+37969,int_stack+47419,int_stack+0, 1.0, int_stack+26818, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+56869,int_stack+37969,int_stack+5208,126);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+22109,int_stack+21941,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38473,int_stack+37969,int_stack+25810,6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26818,int_stack+23325,int_stack+23045,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+26818,int_stack+26188,10);
 /*--- compute (dp|hd) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+13272,int_stack+0,int_stack+38473,126);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25810,int_stack+16671,int_stack+16545,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+16839,int_stack+16671,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+26188,int_stack+37969,int_stack+25810,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39229,int_stack+17265,int_stack+17055,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+17545,int_stack+17265,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+47419,int_stack+1260,int_stack+39229,10);
 /*--- compute (dp|hd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+15540,int_stack+47419,int_stack+26188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+38473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+25810,int_stack+18220,int_stack+17905,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+4368,int_stack+18640,int_stack+18220,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+60649,int_stack+4368,int_stack+25810,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+62539,int_stack+60649,int_stack+47419, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47419,int_stack+19306,int_stack+19180,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+19474,int_stack+19306,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+47797,int_stack+37969,int_stack+47419,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39229,int_stack+19900,int_stack+19690,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+20180,int_stack+19900,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+60649,int_stack+1260,int_stack+39229,10);
 /*--- compute (dp|hd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+17808,int_stack+60649,int_stack+47797, 0.0, zero_stack, 1.0, int_stack+38473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+47419,int_stack+20855,int_stack+20540,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+25810,int_stack+21275,int_stack+20855,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+4368,int_stack+25810,int_stack+47419,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+66319,int_stack+4368,int_stack+60649, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+60649,int_stack+22451,int_stack+22325,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+22619,int_stack+22451,6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+61027,int_stack+37969,int_stack+60649,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39229,int_stack+23895,int_stack+23685,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1260,int_stack+24175,int_stack+23895,10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+4368,int_stack+1260,int_stack+39229,10);
 /*--- compute (dp|hd) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+20076,int_stack+4368,int_stack+61027, 1.0, int_stack+38473, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+60649,int_stack+24850,int_stack+24535,15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+37969,int_stack+25270,int_stack+24850,15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+47419,int_stack+37969,int_stack+60649,15);
 /*--- compute (fp|hd) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+22344,int_stack+47419,int_stack+4368, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+70099,int_stack+34189,int_stack+27826,126);
     Libderiv->ABCD[11] = int_stack + 70099;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+32362,int_stack+39859,int_stack+30094,126);
     Libderiv->ABCD[10] = int_stack + 32362;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+26124,int_stack+43639,int_stack+2100,126);
     Libderiv->ABCD[9] = int_stack + 26124;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+0,int_stack+49309,int_stack+6468,126);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+36898,int_stack+53089,int_stack+8736,126);
     Libderiv->ABCD[7] = int_stack + 36898;
 /*--- compute (dd|hd) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+4536,int_stack+56869,int_stack+11004,126);
     Libderiv->ABCD[6] = int_stack + 4536;
 /*--- compute (dd|hd) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+41434,int_stack+62539,int_stack+15540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 41434;
 /*--- compute (dd|hd) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+45970,int_stack+66319,int_stack+17808, 0.0, zero_stack, 1.0, int_stack+13272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 45970;
 /*--- compute (dd|hd) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+15540,int_stack+22344,int_stack+20076, 1.0, int_stack+13272, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 15540;

}
