#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hphh(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hp|hh) integrals */

void d1hrr_order_hphh(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[5][9][11] = int_stack + 2730;
 Libderiv->deriv_classes[5][10][11] = int_stack + 3885;
 Libderiv->deriv_classes[6][5][11] = int_stack + 5271;
 Libderiv->deriv_classes[6][6][11] = int_stack + 5859;
 Libderiv->deriv_classes[6][7][11] = int_stack + 6643;
 Libderiv->deriv_classes[6][8][11] = int_stack + 7651;
 Libderiv->deriv_classes[6][9][11] = int_stack + 8911;
 Libderiv->deriv_classes[6][10][11] = int_stack + 10451;
 Libderiv->deriv_classes[5][5][10] = int_stack + 12299;
 Libderiv->deriv_classes[5][6][10] = int_stack + 12740;
 Libderiv->deriv_classes[5][7][10] = int_stack + 13328;
 Libderiv->deriv_classes[5][8][10] = int_stack + 14084;
 Libderiv->deriv_classes[5][9][10] = int_stack + 15029;
 Libderiv->deriv_classes[5][10][10] = int_stack + 16184;
 Libderiv->deriv_classes[6][5][10] = int_stack + 17570;
 Libderiv->deriv_classes[6][6][10] = int_stack + 18158;
 Libderiv->deriv_classes[6][7][10] = int_stack + 18942;
 Libderiv->deriv_classes[6][8][10] = int_stack + 19950;
 Libderiv->deriv_classes[6][9][10] = int_stack + 21210;
 Libderiv->deriv_classes[6][10][10] = int_stack + 22750;
 Libderiv->deriv_classes[5][5][9] = int_stack + 24598;
 Libderiv->deriv_classes[5][6][9] = int_stack + 25039;
 Libderiv->deriv_classes[5][7][9] = int_stack + 25627;
 Libderiv->deriv_classes[5][8][9] = int_stack + 26383;
 Libderiv->deriv_classes[5][9][9] = int_stack + 27328;
 Libderiv->deriv_classes[5][10][9] = int_stack + 28483;
 Libderiv->deriv_classes[6][5][9] = int_stack + 29869;
 Libderiv->deriv_classes[6][6][9] = int_stack + 30457;
 Libderiv->deriv_classes[6][7][9] = int_stack + 31241;
 Libderiv->deriv_classes[6][8][9] = int_stack + 32249;
 Libderiv->deriv_classes[6][9][9] = int_stack + 33509;
 Libderiv->deriv_classes[6][10][9] = int_stack + 35049;
 Libderiv->deriv_classes[5][5][8] = int_stack + 36897;
 Libderiv->deriv_classes[5][6][8] = int_stack + 37338;
 Libderiv->deriv_classes[5][7][8] = int_stack + 37926;
 Libderiv->deriv_classes[5][8][8] = int_stack + 38682;
 Libderiv->deriv_classes[5][9][8] = int_stack + 39627;
 Libderiv->deriv_classes[5][10][8] = int_stack + 40782;
 Libderiv->deriv_classes[6][5][8] = int_stack + 42168;
 Libderiv->deriv_classes[6][6][8] = int_stack + 42756;
 Libderiv->deriv_classes[6][7][8] = int_stack + 43540;
 Libderiv->deriv_classes[6][8][8] = int_stack + 44548;
 Libderiv->deriv_classes[6][9][8] = int_stack + 45808;
 Libderiv->deriv_classes[6][10][8] = int_stack + 47348;
 Libderiv->deriv_classes[5][5][7] = int_stack + 49196;
 Libderiv->deriv_classes[5][6][7] = int_stack + 49637;
 Libderiv->deriv_classes[5][7][7] = int_stack + 50225;
 Libderiv->deriv_classes[5][8][7] = int_stack + 50981;
 Libderiv->deriv_classes[5][9][7] = int_stack + 51926;
 Libderiv->deriv_classes[5][10][7] = int_stack + 53081;
 Libderiv->deriv_classes[6][5][7] = int_stack + 54467;
 Libderiv->deriv_classes[6][6][7] = int_stack + 55055;
 Libderiv->deriv_classes[6][7][7] = int_stack + 55839;
 Libderiv->deriv_classes[6][8][7] = int_stack + 56847;
 Libderiv->deriv_classes[6][9][7] = int_stack + 58107;
 Libderiv->deriv_classes[6][10][7] = int_stack + 59647;
 Libderiv->deriv_classes[5][5][6] = int_stack + 61495;
 Libderiv->deriv_classes[5][6][6] = int_stack + 61936;
 Libderiv->deriv_classes[5][7][6] = int_stack + 62524;
 Libderiv->deriv_classes[5][8][6] = int_stack + 63280;
 Libderiv->deriv_classes[5][9][6] = int_stack + 64225;
 Libderiv->deriv_classes[5][10][6] = int_stack + 65380;
 Libderiv->dvrr_classes[6][5] = int_stack + 66766;
 Libderiv->deriv_classes[6][5][6] = int_stack + 67354;
 Libderiv->dvrr_classes[6][6] = int_stack + 67942;
 Libderiv->deriv_classes[6][6][6] = int_stack + 68726;
 Libderiv->dvrr_classes[6][7] = int_stack + 69510;
 Libderiv->deriv_classes[6][7][6] = int_stack + 70518;
 Libderiv->dvrr_classes[6][8] = int_stack + 71526;
 Libderiv->deriv_classes[6][8][6] = int_stack + 72786;
 Libderiv->dvrr_classes[6][9] = int_stack + 74046;
 Libderiv->deriv_classes[6][9][6] = int_stack + 75586;
 Libderiv->deriv_classes[6][10][6] = int_stack + 77126;
 Libderiv->deriv_classes[5][5][2] = int_stack + 78974;
 Libderiv->deriv_classes[5][6][2] = int_stack + 79415;
 Libderiv->deriv_classes[5][7][2] = int_stack + 80003;
 Libderiv->deriv_classes[5][8][2] = int_stack + 80759;
 Libderiv->deriv_classes[5][9][2] = int_stack + 81704;
 Libderiv->deriv_classes[5][10][2] = int_stack + 82859;
 Libderiv->deriv_classes[6][5][2] = int_stack + 84245;
 Libderiv->deriv_classes[6][6][2] = int_stack + 84833;
 Libderiv->deriv_classes[6][7][2] = int_stack + 85617;
 Libderiv->deriv_classes[6][8][2] = int_stack + 86625;
 Libderiv->deriv_classes[6][9][2] = int_stack + 87885;
 Libderiv->deriv_classes[6][10][2] = int_stack + 89425;
 Libderiv->deriv_classes[5][5][1] = int_stack + 91273;
 Libderiv->deriv_classes[5][6][1] = int_stack + 91714;
 Libderiv->deriv_classes[5][7][1] = int_stack + 92302;
 Libderiv->deriv_classes[5][8][1] = int_stack + 93058;
 Libderiv->deriv_classes[5][9][1] = int_stack + 94003;
 Libderiv->deriv_classes[5][10][1] = int_stack + 95158;
 Libderiv->deriv_classes[6][5][1] = int_stack + 96544;
 Libderiv->deriv_classes[6][6][1] = int_stack + 97132;
 Libderiv->deriv_classes[6][7][1] = int_stack + 97916;
 Libderiv->deriv_classes[6][8][1] = int_stack + 98924;
 Libderiv->deriv_classes[6][9][1] = int_stack + 100184;
 Libderiv->deriv_classes[6][10][1] = int_stack + 101724;
 Libderiv->dvrr_classes[5][5] = int_stack + 103572;
 Libderiv->dvrr_classes[5][6] = int_stack + 104013;
 Libderiv->dvrr_classes[5][7] = int_stack + 104601;
 Libderiv->dvrr_classes[5][8] = int_stack + 105357;
 Libderiv->dvrr_classes[5][9] = int_stack + 106302;
 Libderiv->dvrr_classes[5][10] = int_stack + 107457;
 Libderiv->deriv_classes[5][5][0] = int_stack + 108843;
 Libderiv->deriv_classes[5][6][0] = int_stack + 109284;
 Libderiv->deriv_classes[5][7][0] = int_stack + 109872;
 Libderiv->deriv_classes[5][8][0] = int_stack + 110628;
 Libderiv->deriv_classes[5][9][0] = int_stack + 111573;
 Libderiv->deriv_classes[5][10][0] = int_stack + 112728;
 Libderiv->deriv_classes[6][5][0] = int_stack + 114114;
 Libderiv->deriv_classes[6][6][0] = int_stack + 114702;
 Libderiv->deriv_classes[6][7][0] = int_stack + 115486;
 Libderiv->deriv_classes[6][8][0] = int_stack + 116494;
 Libderiv->deriv_classes[6][9][0] = int_stack + 117754;
 Libderiv->deriv_classes[6][10][0] = int_stack + 119294;
 memset(int_stack,0,969136);

 Libderiv->dvrr_stack = int_stack + 366954;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hphh(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+121142,int_stack+104013,int_stack+103572,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+122465,int_stack+104601,int_stack+104013,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+124229,int_stack+122465,int_stack+121142,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+126875,int_stack+105357,int_stack+104601,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+129143,int_stack+126875,int_stack+122465,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+132671,int_stack+129143,int_stack+124229,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+137081,int_stack+106302,int_stack+105357,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+139916,int_stack+137081,int_stack+126875,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+144452,int_stack+139916,int_stack+129143,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+150332,int_stack+144452,int_stack+132671,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+156947,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103572,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+158270,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104013,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+160034,int_stack+158270,int_stack+156947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121142,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+162680,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104601,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+164948,int_stack+162680,int_stack+158270, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122465,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+168476,int_stack+164948,int_stack+160034, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124229,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156947,int_stack+2730,int_stack+1785, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105357,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+172886,int_stack+156947,int_stack+162680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126875,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+177422,int_stack+172886,int_stack+164948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129143,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+159782,int_stack+177422,int_stack+168476, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132671,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+166397,int_stack+3885,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106302,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+183302,int_stack+166397,int_stack+156947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137081,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+188972,int_stack+183302,int_stack+172886, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139916,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+166397,int_stack+188972,int_stack+177422, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144452,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+175217,int_stack+166397,int_stack+159782, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150332,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+156947,int_stack+67942,int_stack+66766,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+158711,int_stack+69510,int_stack+67942,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+161063,int_stack+158711,int_stack+156947,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+164591,int_stack+71526,int_stack+69510,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+167615,int_stack+164591,int_stack+158711,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+184478,int_stack+167615,int_stack+161063,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+190358,int_stack+74046,int_stack+71526,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+194138,int_stack+190358,int_stack+164591,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+200186,int_stack+194138,int_stack+167615,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+208026,int_stack+200186,int_stack+184478,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+172319,int_stack+5859,int_stack+5271, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66766,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+6643,int_stack+5859, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67942,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2352,int_stack+0,int_stack+172319, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156947,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+216846,int_stack+7651,int_stack+6643, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69510,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+219870,int_stack+216846,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158711,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+224574,int_stack+219870,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161063,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+8911,int_stack+7651, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71526,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+230454,int_stack+0,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164591,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+236502,int_stack+230454,int_stack+219870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167615,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+244342,int_stack+236502,int_stack+224574, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184478,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+216846,int_stack+10451,int_stack+8911, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74046,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+221466,int_stack+216846,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190358,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+221466,int_stack+230454, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194138,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+216846,int_stack+0,int_stack+236502, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200186,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+228606,int_stack+216846,int_stack+244342, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208026,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+216846,int_stack+12740,int_stack+12299, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103572, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+218169,int_stack+13328,int_stack+12740, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104013, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+219933,int_stack+218169,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121142, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+222579,int_stack+14084,int_stack+13328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104601, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+224847,int_stack+222579,int_stack+218169, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122465, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+224847,int_stack+219933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124229, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+216846,int_stack+15029,int_stack+14084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105357, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4410,int_stack+216846,int_stack+222579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126875, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8946,int_stack+4410,int_stack+224847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129143, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+219681,int_stack+8946,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132671, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+16184,int_stack+15029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106302, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+240954,int_stack+0,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137081, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+246624,int_stack+240954,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139916, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+246624,int_stack+8946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144452, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+240954,int_stack+0,int_stack+219681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150332, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+18158,int_stack+17570, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66766, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+18942,int_stack+18158, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67942, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156947, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+7644,int_stack+19950,int_stack+18942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69510, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10668,int_stack+7644,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158711, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+216846,int_stack+10668,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161063, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+21210,int_stack+19950, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71526, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+250215,int_stack+0,int_stack+7644, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164591, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+256263,int_stack+250215,int_stack+10668, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167615, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+3780,int_stack+256263,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184478, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+216846,int_stack+22750,int_stack+21210, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74046, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+12600,int_stack+216846,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190358, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+216846,int_stack+12600,int_stack+250215, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194138, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+12600,int_stack+216846,int_stack+256263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200186, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+250215,int_stack+12600,int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208026, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+216846,int_stack+25039,int_stack+24598, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103572, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+218169,int_stack+25627,int_stack+25039, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104013, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+219933,int_stack+218169,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121142, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+222579,int_stack+26383,int_stack+25627, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104601, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+224847,int_stack+222579,int_stack+218169, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122465, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+224847,int_stack+219933, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124229, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+216846,int_stack+27328,int_stack+26383, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105357, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+4410,int_stack+216846,int_stack+222579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126875, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8946,int_stack+4410,int_stack+224847, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129143, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+219681,int_stack+8946,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132671, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+28483,int_stack+27328, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106302, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+14826,int_stack+0,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137081, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+20496,int_stack+14826,int_stack+4410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139916, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+20496,int_stack+8946, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144452, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+8820,int_stack+0,int_stack+219681, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150332, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+30457,int_stack+29869, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66766, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+31241,int_stack+30457, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67942, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156947, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+216846,int_stack+32249,int_stack+31241, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69510, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+219870,int_stack+216846,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158711, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+18081,int_stack+219870,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161063, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+33509,int_stack+32249, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71526, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+23961,int_stack+0,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164591, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+262563,int_stack+23961,int_stack+219870, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167615, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+216846,int_stack+262563,int_stack+18081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184478, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+18081,int_stack+35049,int_stack+33509, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74046, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+270403,int_stack+18081,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190358, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+277963,int_stack+270403,int_stack+23961, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194138, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+18081,int_stack+277963,int_stack+262563, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200186, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+262563,int_stack+18081,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208026, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+216846,int_stack+37338,int_stack+36897, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+103572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+218169,int_stack+37926,int_stack+37338, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104013, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+219933,int_stack+218169,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+121142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+222579,int_stack+38682,int_stack+37926, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+104601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+224847,int_stack+222579,int_stack+218169, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+122465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+18081,int_stack+224847,int_stack+219933, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+124229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+216846,int_stack+39627,int_stack+38682, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+22491,int_stack+216846,int_stack+222579, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+27027,int_stack+22491,int_stack+224847, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+129143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+219681,int_stack+27027,int_stack+18081, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+132671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+18081,int_stack+40782,int_stack+39627, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106302, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+32907,int_stack+18081,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+137081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+274911,int_stack+32907,int_stack+22491, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+139916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+274911,int_stack+27027, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+144452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+274911,int_stack+0,int_stack+219681, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+150332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+42756,int_stack+42168, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+43540,int_stack+42756, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+67942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+156947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+284172,int_stack+44548,int_stack+43540, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+216846,int_stack+284172,int_stack+1764, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+158711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+221550,int_stack+216846,int_stack+4116, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+161063, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+45808,int_stack+44548, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+18081,int_stack+0,int_stack+284172, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+164591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+24129,int_stack+18081,int_stack+216846, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+167615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+31969,int_stack+24129,int_stack+221550, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+216846,int_stack+47348,int_stack+45808, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+40789,int_stack+216846,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+190358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+216846,int_stack+40789,int_stack+18081, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+194138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+284172,int_stack+216846,int_stack+24129, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+200186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+18081,int_stack+284172,int_stack+31969, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+208026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+284172,int_stack+49637,int_stack+49196, 0.0, zero_stack, 1.0, int_stack+103572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+285495,int_stack+50225,int_stack+49637, 0.0, zero_stack, 1.0, int_stack+104013, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+287259,int_stack+285495,int_stack+284172, 0.0, zero_stack, 1.0, int_stack+121142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+289905,int_stack+50981,int_stack+50225, 0.0, zero_stack, 1.0, int_stack+104601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+292173,int_stack+289905,int_stack+285495, 0.0, zero_stack, 1.0, int_stack+122465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+216846,int_stack+292173,int_stack+287259, 0.0, zero_stack, 1.0, int_stack+124229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+284172,int_stack+51926,int_stack+50981, 0.0, zero_stack, 1.0, int_stack+105357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+221256,int_stack+284172,int_stack+289905, 0.0, zero_stack, 1.0, int_stack+126875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+30429,int_stack+221256,int_stack+292173, 0.0, zero_stack, 1.0, int_stack+129143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+287007,int_stack+30429,int_stack+216846, 0.0, zero_stack, 1.0, int_stack+132671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+216846,int_stack+53081,int_stack+51926, 0.0, zero_stack, 1.0, int_stack+106302, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+36309,int_stack+216846,int_stack+284172, 0.0, zero_stack, 1.0, int_stack+137081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+41979,int_stack+36309,int_stack+221256, 0.0, zero_stack, 1.0, int_stack+139916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+41979,int_stack+30429, 0.0, zero_stack, 1.0, int_stack+144452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+30429,int_stack+0,int_stack+287007, 0.0, zero_stack, 1.0, int_stack+150332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+55055,int_stack+54467, 0.0, zero_stack, 1.0, int_stack+66766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+55839,int_stack+55055, 0.0, zero_stack, 1.0, int_stack+67942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 1.0, int_stack+156947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39690,int_stack+56847,int_stack+55839, 0.0, zero_stack, 1.0, int_stack+69510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42714,int_stack+39690,int_stack+1764, 0.0, zero_stack, 1.0, int_stack+158711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+47418,int_stack+42714,int_stack+4116, 0.0, zero_stack, 1.0, int_stack+161063, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+58107,int_stack+56847, 0.0, zero_stack, 1.0, int_stack+71526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+284172,int_stack+0,int_stack+39690, 0.0, zero_stack, 1.0, int_stack+164591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+216846,int_stack+284172,int_stack+42714, 0.0, zero_stack, 1.0, int_stack+167615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+290220,int_stack+216846,int_stack+47418, 0.0, zero_stack, 1.0, int_stack+184478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+39690,int_stack+59647,int_stack+58107, 0.0, zero_stack, 1.0, int_stack+74046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44310,int_stack+39690,int_stack+0, 0.0, zero_stack, 1.0, int_stack+190358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+299040,int_stack+44310,int_stack+284172, 0.0, zero_stack, 1.0, int_stack+194138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+39690,int_stack+299040,int_stack+216846, 0.0, zero_stack, 1.0, int_stack+200186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+299040,int_stack+39690,int_stack+290220, 0.0, zero_stack, 1.0, int_stack+208026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+39690,int_stack+61936,int_stack+61495, 1.0, int_stack+103572, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+41013,int_stack+62524,int_stack+61936, 1.0, int_stack+104013, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+42777,int_stack+41013,int_stack+39690, 1.0, int_stack+121142, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+45423,int_stack+63280,int_stack+62524, 1.0, int_stack+104601, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+47691,int_stack+45423,int_stack+41013, 1.0, int_stack+122465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+51219,int_stack+47691,int_stack+42777, 1.0, int_stack+124229, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+121142,int_stack+64225,int_stack+63280, 1.0, int_stack+105357, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+39690,int_stack+121142,int_stack+45423, 1.0, int_stack+126875, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+55629,int_stack+39690,int_stack+47691, 1.0, int_stack+129143, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+123977,int_stack+55629,int_stack+51219, 1.0, int_stack+132671, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+130592,int_stack+65380,int_stack+64225, 1.0, int_stack+106302, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+44226,int_stack+130592,int_stack+121142, 1.0, int_stack+137081, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+216846,int_stack+44226,int_stack+39690, 1.0, int_stack+139916, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+216846,int_stack+55629, 1.0, int_stack+144452, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+216846,int_stack+0,int_stack+123977, 1.0, int_stack+150332, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+68726,int_stack+67354, 1.0, int_stack+66766, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+70518,int_stack+68726, 1.0, int_stack+67942, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 1.0, int_stack+156947, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+39690,int_stack+72786,int_stack+70518, 1.0, int_stack+69510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+42714,int_stack+39690,int_stack+1764, 1.0, int_stack+158711, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+47418,int_stack+42714,int_stack+4116, 1.0, int_stack+161063, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+156947,int_stack+75586,int_stack+72786, 1.0, int_stack+71526, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+0,int_stack+156947,int_stack+39690, 1.0, int_stack+164591, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+53298,int_stack+0,int_stack+42714, 1.0, int_stack+167615, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hg) ---*/
   d1hrr3_build_hg(Libderiv->CD,int_stack+160727,int_stack+53298,int_stack+47418, 1.0, int_stack+184478, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|mp) ---*/
   d1hrr3_build_mp(Libderiv->CD,int_stack+184478,int_stack+77126,int_stack+75586, 1.0, int_stack+74046, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ld) ---*/
   d1hrr3_build_ld(Libderiv->CD,int_stack+39690,int_stack+184478,int_stack+156947, 1.0, int_stack+190358, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kf) ---*/
   d1hrr3_build_kf(Libderiv->CD,int_stack+61138,int_stack+39690,int_stack+0, 1.0, int_stack+194138, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ig) ---*/
   d1hrr3_build_ig(Libderiv->CD,int_stack+39690,int_stack+61138,int_stack+53298, 1.0, int_stack+200186, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hh) ---*/
   d1hrr3_build_hh(Libderiv->CD,int_stack+51450,int_stack+39690,int_stack+160727, 1.0, int_stack+208026, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39690,int_stack+107457,int_stack+106302,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+43155,int_stack+39690,int_stack+137081,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+43155,int_stack+139916,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39690,int_stack+0,int_stack+144452,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+63798,int_stack+39690,int_stack+150332,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39690,int_stack+79415,int_stack+78974,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+41013,int_stack+80003,int_stack+79415,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+42777,int_stack+41013,int_stack+39690,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45423,int_stack+80759,int_stack+80003,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+47691,int_stack+45423,int_stack+41013,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+47691,int_stack+42777,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39690,int_stack+81704,int_stack+80759,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+73059,int_stack+39690,int_stack+45423,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+184478,int_stack+73059,int_stack+47691,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+42525,int_stack+184478,int_stack+0,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+0,int_stack+82859,int_stack+81704,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+77595,int_stack+0,int_stack+39690,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+0,int_stack+77595,int_stack+73059,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+73059,int_stack+0,int_stack+184478,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+184478,int_stack+73059,int_stack+42525,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73059,int_stack+84833,int_stack+84245,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+74823,int_stack+85617,int_stack+84833,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+77175,int_stack+74823,int_stack+73059,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+80703,int_stack+86625,int_stack+85617,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+193739,int_stack+80703,int_stack+74823,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+198443,int_stack+193739,int_stack+77175,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+73059,int_stack+87885,int_stack+86625,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+204323,int_stack+73059,int_stack+80703,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+76839,int_stack+204323,int_stack+193739,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+0,int_stack+76839,int_stack+198443,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+193739,int_stack+89425,int_stack+87885,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+39690,int_stack+193739,int_stack+73059,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+193739,int_stack+39690,int_stack+204323,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+39690,int_stack+193739,int_stack+76839,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+193739,int_stack+39690,int_stack+0,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+91714,int_stack+91273,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1323,int_stack+92302,int_stack+91714,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+3087,int_stack+1323,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5733,int_stack+93058,int_stack+92302,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+39690,int_stack+5733,int_stack+1323,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+43218,int_stack+39690,int_stack+3087,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+0,int_stack+94003,int_stack+93058,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+206087,int_stack+0,int_stack+5733,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+2835,int_stack+206087,int_stack+39690,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+73059,int_stack+2835,int_stack+43218,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+39690,int_stack+95158,int_stack+94003,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+43155,int_stack+39690,int_stack+0,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+79674,int_stack+43155,int_stack+206087,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+206087,int_stack+79674,int_stack+2835,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+79674,int_stack+206087,int_stack+73059,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73059,int_stack+97132,int_stack+96544,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+74823,int_stack+97916,int_stack+97132,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+206087,int_stack+74823,int_stack+73059,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+209615,int_stack+98924,int_stack+97916,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+88935,int_stack+209615,int_stack+74823,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+73059,int_stack+88935,int_stack+206087,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+212639,int_stack+100184,int_stack+98924,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93639,int_stack+212639,int_stack+209615,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+93639,int_stack+88935,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+39690,int_stack+0,int_stack+73059,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+73059,int_stack+101724,int_stack+100184,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+99687,int_stack+73059,int_stack+212639,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+206087,int_stack+99687,int_stack+93639,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+88935,int_stack+206087,int_stack+0,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+121142,int_stack+88935,int_stack+39690,28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+39690,int_stack+109284,int_stack+108843,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+41013,int_stack+109872,int_stack+109284,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+42777,int_stack+41013,int_stack+39690,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+45423,int_stack+110628,int_stack+109872,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+47691,int_stack+45423,int_stack+41013,21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+88935,int_stack+47691,int_stack+42777,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+39690,int_stack+111573,int_stack+110628,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+93345,int_stack+39690,int_stack+45423,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+97881,int_stack+93345,int_stack+47691,21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+73059,int_stack+97881,int_stack+88935,21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+88935,int_stack+112728,int_stack+111573,21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+42525,int_stack+88935,int_stack+39690,21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+103761,int_stack+42525,int_stack+93345,21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+0,int_stack+103761,int_stack+97881,21);
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+39690,int_stack+0,int_stack+73059,21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+73059,int_stack+114702,int_stack+114114,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+74823,int_stack+115486,int_stack+114702,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+74823,int_stack+73059,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3528,int_stack+116494,int_stack+115486,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+88935,int_stack+3528,int_stack+74823,28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+73059,int_stack+88935,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+93639,int_stack+117754,int_stack+116494,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+97419,int_stack+93639,int_stack+3528,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+97419,int_stack+88935,28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libderiv->CD,int_stack+103467,int_stack+0,int_stack+73059,28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libderiv->CD,int_stack+73059,int_stack+119294,int_stack+117754,28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libderiv->CD,int_stack+112287,int_stack+73059,int_stack+93639,28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libderiv->CD,int_stack+206087,int_stack+112287,int_stack+97419,28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libderiv->CD,int_stack+88935,int_stack+206087,int_stack+0,28);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libderiv->CD,int_stack+133490,int_stack+88935,int_stack+103467,28);
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+88935,int_stack+228606,int_stack+175217,441);
     Libderiv->ABCD[11] = int_stack + 88935;
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+145838,int_stack+250215,int_stack+240954,441);
     Libderiv->ABCD[10] = int_stack + 145838;
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+226107,int_stack+262563,int_stack+8820,441);
     Libderiv->ABCD[9] = int_stack + 226107;
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+311388,int_stack+18081,int_stack+274911,441);
     Libderiv->ABCD[8] = int_stack + 311388;
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+0,int_stack+299040,int_stack+30429,441);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (hp|hh) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+253890,int_stack+51450,int_stack+216846,441);
     Libderiv->ABCD[6] = int_stack + 253890;
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+281673,int_stack+193739,int_stack+184478, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[2] = int_stack + 281673;
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+173621,int_stack+121142,int_stack+79674, 0.0, zero_stack, 1.0, int_stack+63798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[1] = int_stack + 173621;
 /*--- compute (hp|hh) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+339171,int_stack+133490,int_stack+39690, 1.0, int_stack+63798, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,441);
     Libderiv->ABCD[0] = int_stack + 339171;

}
