#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_pphp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (pp|hp) integrals */

void d1hrr_order_pphp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][5][11] = int_stack + 0;
 Libderiv->deriv_classes[1][6][11] = int_stack + 63;
 Libderiv->deriv_classes[2][5][11] = int_stack + 147;
 Libderiv->deriv_classes[2][6][11] = int_stack + 273;
 Libderiv->deriv_classes[1][5][10] = int_stack + 441;
 Libderiv->deriv_classes[1][6][10] = int_stack + 504;
 Libderiv->deriv_classes[2][5][10] = int_stack + 588;
 Libderiv->deriv_classes[2][6][10] = int_stack + 714;
 Libderiv->deriv_classes[1][5][9] = int_stack + 882;
 Libderiv->deriv_classes[1][6][9] = int_stack + 945;
 Libderiv->deriv_classes[2][5][9] = int_stack + 1029;
 Libderiv->deriv_classes[2][6][9] = int_stack + 1155;
 Libderiv->deriv_classes[1][5][8] = int_stack + 1323;
 Libderiv->deriv_classes[1][6][8] = int_stack + 1386;
 Libderiv->deriv_classes[2][5][8] = int_stack + 1470;
 Libderiv->deriv_classes[2][6][8] = int_stack + 1596;
 Libderiv->deriv_classes[1][5][7] = int_stack + 1764;
 Libderiv->deriv_classes[1][6][7] = int_stack + 1827;
 Libderiv->deriv_classes[2][5][7] = int_stack + 1911;
 Libderiv->deriv_classes[2][6][7] = int_stack + 2037;
 Libderiv->deriv_classes[1][5][6] = int_stack + 2205;
 Libderiv->deriv_classes[1][6][6] = int_stack + 2268;
 Libderiv->dvrr_classes[2][5] = int_stack + 2352;
 Libderiv->deriv_classes[2][5][6] = int_stack + 2478;
 Libderiv->deriv_classes[2][6][6] = int_stack + 2604;
 Libderiv->deriv_classes[1][5][2] = int_stack + 2772;
 Libderiv->deriv_classes[1][6][2] = int_stack + 2835;
 Libderiv->deriv_classes[2][5][2] = int_stack + 2919;
 Libderiv->deriv_classes[2][6][2] = int_stack + 3045;
 Libderiv->deriv_classes[1][5][1] = int_stack + 3213;
 Libderiv->deriv_classes[1][6][1] = int_stack + 3276;
 Libderiv->deriv_classes[2][5][1] = int_stack + 3360;
 Libderiv->deriv_classes[2][6][1] = int_stack + 3486;
 Libderiv->dvrr_classes[1][5] = int_stack + 3654;
 Libderiv->dvrr_classes[1][6] = int_stack + 3717;
 Libderiv->deriv_classes[1][5][0] = int_stack + 3801;
 Libderiv->deriv_classes[1][6][0] = int_stack + 3864;
 Libderiv->deriv_classes[2][5][0] = int_stack + 3948;
 Libderiv->deriv_classes[2][6][0] = int_stack + 4074;
 memset(int_stack,0,33936);

 Libderiv->dvrr_stack = int_stack + 6510;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_pphp(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4242,int_stack+63,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3654,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4431,int_stack+273,int_stack+147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2352,6);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+504,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3654, 0.0, zero_stack,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+189,int_stack+714,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2352, 0.0, zero_stack,6);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+567,int_stack+945,int_stack+882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3654, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+4809,int_stack+1155,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2352, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+756,int_stack+1386,int_stack+1323, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+945,int_stack+1596,int_stack+1470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1323,int_stack+1827,int_stack+1764, 0.0, zero_stack, 1.0, int_stack+3654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1512,int_stack+2037,int_stack+1911, 0.0, zero_stack, 1.0, int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+2268,int_stack+2205, 1.0, int_stack+3654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+5187,int_stack+2604,int_stack+2478, 1.0, int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2079,int_stack+3717,int_stack+3654,3);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2268,int_stack+2835,int_stack+2772,3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2457,int_stack+3045,int_stack+2919,6);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2835,int_stack+3276,int_stack+3213,3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+5565,int_stack+3486,int_stack+3360,6);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3024,int_stack+3864,int_stack+3801,3);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3213,int_stack+4074,int_stack+3948,6);
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+3591,int_stack+4431,int_stack+4242,63);
     Libderiv->ABCD[11] = int_stack + 3591;
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+4158,int_stack+189,int_stack+0,63);
     Libderiv->ABCD[10] = int_stack + 4158;
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+0,int_stack+4809,int_stack+567,63);
     Libderiv->ABCD[9] = int_stack + 0;
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+5943,int_stack+945,int_stack+756,63);
     Libderiv->ABCD[8] = int_stack + 5943;
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+567,int_stack+1512,int_stack+1323,63);
     Libderiv->ABCD[7] = int_stack + 567;
 /*--- compute (pp|hp) ---*/
   hrr1_build_pp(Libderiv->AB,int_stack+1134,int_stack+5187,int_stack+1890,63);
     Libderiv->ABCD[6] = int_stack + 1134;
 /*--- compute (pp|hp) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+4725,int_stack+2457,int_stack+2268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 4725;
 /*--- compute (pp|hp) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+2268,int_stack+5565,int_stack+2835, 0.0, zero_stack, 1.0, int_stack+2079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 2268;
 /*--- compute (pp|hp) ---*/
   d1hrr1_build_pp(Libderiv->AB,int_stack+5292,int_stack+3213,int_stack+3024, 1.0, int_stack+2079, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 5292;

}
