  /* These machine-generated functions compute a quartet of (0s|ls) integrals */

#include "libint.h"

void _build_00l0(prim_data *Data, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4)
{
  REALTYPE U00, U01, U02, U10, U11, U12, U20, U21, U22;
  REALTYPE U30, U31, U32, U40, U41, U42, U50, U51, U52;
  REALTYPE lpoz = Data->poz;
  REALTYPE lpon = Data->pon;
  REALTYPE oneo2n;
  REALTYPE twoo2n;
  REALTYPE threeo2n;
  REALTYPE fouro2n;
  REALTYPE fiveo2n;
  REALTYPE sixo2n;
  REALTYPE seveno2n;
  oneo2n = 1.0*Data->oo2n;
  twoo2n = 2.0*Data->oo2n;
  threeo2n = 3.0*Data->oo2n;
  fouro2n = 4.0*Data->oo2n;
  fiveo2n = 5.0*Data->oo2n;
  sixo2n = 6.0*Data->oo2n;
  seveno2n = 7.0*Data->oo2n;
  U20 = Data->U[2][0];
  U21 = Data->U[2][1];
  U22 = Data->U[2][2];
  U50 = Data->U[5][0];
  U51 = Data->U[5][1];
  U52 = Data->U[5][2];


*(vp++) = U20*I0[0] + U50*I1[0]
           + (seveno2n)*(I2[0] - (lpon)*I3[0]);
*(vp++) = U20*I0[1] + U50*I1[1]
           + (sixo2n)*(I2[1] - (lpon)*I3[1]);
*(vp++) = U20*I0[2] + U50*I1[2]
           + (sixo2n)*(I2[2] - (lpon)*I3[2]);
*(vp++) = U20*I0[3] + U50*I1[3]
           + (fiveo2n)*(I2[3] - (lpon)*I3[3]);
*(vp++) = U20*I0[4] + U50*I1[4]
           + (fiveo2n)*(I2[4] - (lpon)*I3[4]);
*(vp++) = U20*I0[5] + U50*I1[5]
           + (fiveo2n)*(I2[5] - (lpon)*I3[5]);
*(vp++) = U20*I0[6] + U50*I1[6]
           + (fouro2n)*(I2[6] - (lpon)*I3[6]);
*(vp++) = U20*I0[7] + U50*I1[7]
           + (fouro2n)*(I2[7] - (lpon)*I3[7]);
*(vp++) = U20*I0[8] + U50*I1[8]
           + (fouro2n)*(I2[8] - (lpon)*I3[8]);
*(vp++) = U20*I0[9] + U50*I1[9]
           + (fouro2n)*(I2[9] - (lpon)*I3[9]);
*(vp++) = U20*I0[10] + U50*I1[10]
           + (threeo2n)*(I2[10] - (lpon)*I3[10]);
*(vp++) = U20*I0[11] + U50*I1[11]
           + (threeo2n)*(I2[11] - (lpon)*I3[11]);
*(vp++) = U20*I0[12] + U50*I1[12]
           + (threeo2n)*(I2[12] - (lpon)*I3[12]);
*(vp++) = U20*I0[13] + U50*I1[13]
           + (threeo2n)*(I2[13] - (lpon)*I3[13]);
*(vp++) = U20*I0[14] + U50*I1[14]
           + (threeo2n)*(I2[14] - (lpon)*I3[14]);
*(vp++) = U20*I0[15] + U50*I1[15]
           + (twoo2n)*(I2[15] - (lpon)*I3[15]);
*(vp++) = U20*I0[16] + U50*I1[16]
           + (twoo2n)*(I2[16] - (lpon)*I3[16]);
*(vp++) = U20*I0[17] + U50*I1[17]
           + (twoo2n)*(I2[17] - (lpon)*I3[17]);
*(vp++) = U20*I0[18] + U50*I1[18]
           + (twoo2n)*(I2[18] - (lpon)*I3[18]);
*(vp++) = U20*I0[19] + U50*I1[19]
           + (twoo2n)*(I2[19] - (lpon)*I3[19]);
*(vp++) = U20*I0[20] + U50*I1[20]
           + (twoo2n)*(I2[20] - (lpon)*I3[20]);
*(vp++) = U20*I0[21] + U50*I1[21]
           + (oneo2n)*(I2[21] - (lpon)*I3[21]);
*(vp++) = U20*I0[22] + U50*I1[22]
           + (oneo2n)*(I2[22] - (lpon)*I3[22]);
*(vp++) = U20*I0[23] + U50*I1[23]
           + (oneo2n)*(I2[23] - (lpon)*I3[23]);
*(vp++) = U20*I0[24] + U50*I1[24]
           + (oneo2n)*(I2[24] - (lpon)*I3[24]);
*(vp++) = U20*I0[25] + U50*I1[25]
           + (oneo2n)*(I2[25] - (lpon)*I3[25]);
*(vp++) = U20*I0[26] + U50*I1[26]
           + (oneo2n)*(I2[26] - (lpon)*I3[26]);
*(vp++) = U20*I0[27] + U50*I1[27]
           + (oneo2n)*(I2[27] - (lpon)*I3[27]);
*(vp++) = U20*I0[28] + U50*I1[28];
*(vp++) = U20*I0[29] + U50*I1[29];
*(vp++) = U20*I0[30] + U50*I1[30];
*(vp++) = U20*I0[31] + U50*I1[31];
*(vp++) = U20*I0[32] + U50*I1[32];
*(vp++) = U20*I0[33] + U50*I1[33];
*(vp++) = U20*I0[34] + U50*I1[34];
*(vp++) = U20*I0[35] + U50*I1[35];
*(vp++) = U21*I0[28] + U51*I1[28]
           + (seveno2n)*(I2[21] - (lpon)*I3[21]);
*(vp++) = U21*I0[29] + U51*I1[29]
           + (sixo2n)*(I2[22] - (lpon)*I3[22]);
*(vp++) = U21*I0[30] + U51*I1[30]
           + (fiveo2n)*(I2[23] - (lpon)*I3[23]);
*(vp++) = U21*I0[31] + U51*I1[31]
           + (fouro2n)*(I2[24] - (lpon)*I3[24]);
*(vp++) = U21*I0[32] + U51*I1[32]
           + (threeo2n)*(I2[25] - (lpon)*I3[25]);
*(vp++) = U21*I0[33] + U51*I1[33]
           + (twoo2n)*(I2[26] - (lpon)*I3[26]);
*(vp++) = U21*I0[34] + U51*I1[34]
           + (oneo2n)*(I2[27] - (lpon)*I3[27]);
*(vp++) = U21*I0[35] + U51*I1[35];
*(vp++) = U22*I0[35] + U52*I1[35]
           + (seveno2n)*(I2[27] - (lpon)*I3[27]);

}
/* Total number of FLOPs = 279 */
