#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpid(Libint_t*, prim_data*);

  /* Computes quartets of (dp|id) integrals */

REALTYPE *hrr_order_dpid(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[2][7] = int_stack + 168;
 Libint->vrr_classes[2][8] = int_stack + 384;
 Libint->vrr_classes[3][6] = int_stack + 654;
 Libint->vrr_classes[3][7] = int_stack + 934;
 Libint->vrr_classes[3][8] = int_stack + 1294;
 memset(int_stack,0,1744*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpid(Libint, Data);
   Data++;
 }
 /*--- compute (d0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+1744,int_stack+168,int_stack+0,6);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2248,int_stack+384,int_stack+168,6);
 /*--- compute (d0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+2896,int_stack+2248,int_stack+1744,6);
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+1744,int_stack+934,int_stack+654,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3904,int_stack+1294,int_stack+934,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+0,int_stack+3904,int_stack+1744,10);
 /*--- compute (dp|id) ---*/
 hrr1_build_dp(Libint->AB,int_stack+3904,int_stack+0,int_stack+2896,168);
 return int_stack+3904;}
