#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdii(Libint_t*, prim_data*);

  /* Computes quartets of (gd|ii) integrals */

REALTYPE *hrr_order_gdii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[4][10] = int_stack + 2460;
 Libint->vrr_classes[4][11] = int_stack + 3450;
 Libint->vrr_classes[4][12] = int_stack + 4620;
 Libint->vrr_classes[5][6] = int_stack + 5985;
 Libint->vrr_classes[5][7] = int_stack + 6573;
 Libint->vrr_classes[5][8] = int_stack + 7329;
 Libint->vrr_classes[5][9] = int_stack + 8274;
 Libint->vrr_classes[5][10] = int_stack + 9429;
 Libint->vrr_classes[5][11] = int_stack + 10815;
 Libint->vrr_classes[5][12] = int_stack + 12453;
 Libint->vrr_classes[6][6] = int_stack + 14364;
 Libint->vrr_classes[6][7] = int_stack + 15148;
 Libint->vrr_classes[6][8] = int_stack + 16156;
 Libint->vrr_classes[6][9] = int_stack + 17416;
 Libint->vrr_classes[6][10] = int_stack + 18956;
 Libint->vrr_classes[6][11] = int_stack + 20804;
 Libint->vrr_classes[6][12] = int_stack + 22988;
 memset(int_stack,0,25536*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25536;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdii(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+25536,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+26796,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+28416,int_stack+26796,int_stack+25536,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+30936,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+32961,int_stack+30936,int_stack+26796,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+36201,int_stack+32961,int_stack+28416,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25536,int_stack+2460,int_stack+1635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+40401,int_stack+25536,int_stack+30936,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+44451,int_stack+40401,int_stack+32961,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+28011,int_stack+44451,int_stack+36201,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+34311,int_stack+3450,int_stack+2460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49851,int_stack+34311,int_stack+25536,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54801,int_stack+49851,int_stack+40401,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+61551,int_stack+54801,int_stack+44451,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+37281,int_stack+61551,int_stack+28011,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25536,int_stack+4620,int_stack+3450,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+25536,int_stack+34311,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+25536,int_stack+0,int_stack+49851,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+69651,int_stack+25536,int_stack+54801,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+25536,int_stack+69651,int_stack+61551,15);
 /*--- compute (g0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+46101,int_stack+25536,int_stack+37281,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+25536,int_stack+6573,int_stack+5985,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+27300,int_stack+7329,int_stack+6573,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+29568,int_stack+27300,int_stack+25536,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33096,int_stack+8274,int_stack+7329,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+35931,int_stack+33096,int_stack+27300,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+35931,int_stack+29568,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25536,int_stack+9429,int_stack+8274,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+57861,int_stack+25536,int_stack+33096,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+63531,int_stack+57861,int_stack+35931,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+29001,int_stack+63531,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+10815,int_stack+9429,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37821,int_stack+0,int_stack+25536,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+71091,int_stack+37821,int_stack+57861,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+80541,int_stack+71091,int_stack+63531,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+57861,int_stack+80541,int_stack+29001,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25536,int_stack+12453,int_stack+10815,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4158,int_stack+25536,int_stack+0,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+25536,int_stack+4158,int_stack+37821,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+25536,int_stack+71091,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+25536,int_stack+0,int_stack+80541,21);
 /*--- compute (h0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+70209,int_stack+25536,int_stack+57861,21);
 /*--- compute (gp|ii) ---*/
 hrr1_build_gp(Libint->AB,int_stack+86673,int_stack+70209,int_stack+46101,784);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+25536,int_stack+15148,int_stack+14364,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+27888,int_stack+16156,int_stack+15148,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+30912,int_stack+27888,int_stack+25536,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+35616,int_stack+17416,int_stack+16156,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+39396,int_stack+35616,int_stack+27888,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+45444,int_stack+39396,int_stack+30912,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25536,int_stack+18956,int_stack+17416,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+53284,int_stack+25536,int_stack+35616,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+53284,int_stack+39396,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+30156,int_stack+0,int_stack+45444,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+41916,int_stack+20804,int_stack+18956,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+60844,int_stack+41916,int_stack+25536,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+121953,int_stack+60844,int_stack+53284,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+134553,int_stack+121953,int_stack+0,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+134553,int_stack+30156,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25536,int_stack+22988,int_stack+20804,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+47460,int_stack+25536,int_stack+41916,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+16464,int_stack+47460,int_stack+60844,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+31864,int_stack+16464,int_stack+121953,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+149673,int_stack+31864,int_stack+134553,28);
 /*--- compute (i0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+121953,int_stack+149673,int_stack+0,28);
 /*--- compute (hp|ii) ---*/
 hrr1_build_hp(Libint->AB,int_stack+0,int_stack+121953,int_stack+70209,784);
 /*--- compute (gd|ii) ---*/
 hrr1_build_gd(Libint->AB,int_stack+121953,int_stack+0,int_stack+86673,784);
 return int_stack+121953;}
