#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpip(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ip) integrals */

REALTYPE *hrr_order_gpip(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[5][6] = int_stack + 960;
 Libint->vrr_classes[5][7] = int_stack + 1548;
 memset(int_stack,0,2304*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2304;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpip(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+2304,int_stack+420,int_stack+0,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+3564,int_stack+1548,int_stack+960,21);
 /*--- compute (gp|ip) ---*/
 hrr1_build_gp(Libint->AB,int_stack+5328,int_stack+3564,int_stack+2304,84);
 return int_stack+5328;}
