#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idig(Libint_t*, prim_data*);

  /* Computes quartets of (id|ig) integrals */

REALTYPE *hrr_order_idig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][6] = int_stack + 0;
 Libint->vrr_classes[6][7] = int_stack + 784;
 Libint->vrr_classes[6][8] = int_stack + 1792;
 Libint->vrr_classes[6][9] = int_stack + 3052;
 Libint->vrr_classes[6][10] = int_stack + 4592;
 Libint->vrr_classes[7][6] = int_stack + 6440;
 Libint->vrr_classes[7][7] = int_stack + 7448;
 Libint->vrr_classes[7][8] = int_stack + 8744;
 Libint->vrr_classes[7][9] = int_stack + 10364;
 Libint->vrr_classes[7][10] = int_stack + 12344;
 Libint->vrr_classes[8][6] = int_stack + 14720;
 Libint->vrr_classes[8][7] = int_stack + 15980;
 Libint->vrr_classes[8][8] = int_stack + 17600;
 Libint->vrr_classes[8][9] = int_stack + 19625;
 Libint->vrr_classes[8][10] = int_stack + 22100;
 memset(int_stack,0,25070*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 25070;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idig(Libint, Data);
   Data++;
 }
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+25070,int_stack+784,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+27422,int_stack+1792,int_stack+784,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+30446,int_stack+27422,int_stack+25070,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+35150,int_stack+3052,int_stack+1792,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+38930,int_stack+35150,int_stack+27422,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+44978,int_stack+38930,int_stack+30446,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25070,int_stack+4592,int_stack+3052,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+52818,int_stack+25070,int_stack+35150,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+25070,int_stack+52818,int_stack+38930,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+52818,int_stack+25070,int_stack+44978,28);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+25070,int_stack+7448,int_stack+6440,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+28094,int_stack+8744,int_stack+7448,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+31982,int_stack+28094,int_stack+25070,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+38030,int_stack+10364,int_stack+8744,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+42890,int_stack+38030,int_stack+28094,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+42890,int_stack+31982,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25070,int_stack+12344,int_stack+10364,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+64578,int_stack+25070,int_stack+38030,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+25070,int_stack+64578,int_stack+42890,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+64578,int_stack+25070,int_stack+0,36);
 /*--- compute (ip|ig) ---*/
 hrr1_build_ip(Libint->AB,int_stack+79698,int_stack+64578,int_stack+52818,420);
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+15980,int_stack+14720,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3780,int_stack+17600,int_stack+15980,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8640,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25070,int_stack+19625,int_stack+17600,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+31145,int_stack+25070,int_stack+3780,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+40865,int_stack+31145,int_stack+8640,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+22100,int_stack+19625,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+7425,int_stack+0,int_stack+25070,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+114978,int_stack+7425,int_stack+31145,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+0,int_stack+114978,int_stack+40865,45);
 /*--- compute (kp|ig) ---*/
 hrr1_build_kp(Libint->AB,int_stack+18900,int_stack+0,int_stack+64578,420);
 /*--- compute (id|ig) ---*/
 hrr1_build_id(Libint->AB,int_stack+114978,int_stack+18900,int_stack+79698,420);
 return int_stack+114978;}
