#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (ip|gg) integrals */

void vrr_order_ipgg(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_p000(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_p000(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_p000(Data,vrr_stack+6, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_d000(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+5, Data->F+6, NULL);
 _BUILD_d000(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_f000(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+34, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+37, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+40, vrr_stack+31, vrr_stack+37, NULL, NULL, Data->F+6);
 _BUILD_p0p0(Data,vrr_stack+49, vrr_stack+34, vrr_stack+31, NULL, NULL, Data->F+5);
 _BUILD_d0p0(Data,vrr_stack+58, vrr_stack+49, vrr_stack+40, vrr_stack+34, vrr_stack+31, vrr_stack+0);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+76, vrr_stack+0, vrr_stack+34, NULL, NULL, Data->F+4);
 _BUILD_d0p0(Data,vrr_stack+85, vrr_stack+76, vrr_stack+49, vrr_stack+0, vrr_stack+34, vrr_stack+3);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_p0p0(Data,vrr_stack+103, vrr_stack+37, vrr_stack+3, NULL, NULL, Data->F+7);
 _BUILD_d0p0(Data,vrr_stack+112, vrr_stack+40, vrr_stack+103, vrr_stack+31, vrr_stack+37, vrr_stack+6);
 _BUILD_f0p0(Data,vrr_stack+130, vrr_stack+58, vrr_stack+112, vrr_stack+49, vrr_stack+40, vrr_stack+9);
 _BUILD_f0p0(Data,vrr_stack+160, vrr_stack+85, vrr_stack+58, vrr_stack+76, vrr_stack+49, vrr_stack+15);
 _BUILD_g0p0(Data,vrr_stack+190, vrr_stack+160, vrr_stack+130, vrr_stack+85, vrr_stack+58, vrr_stack+21);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+31, vrr_stack+37, Data->F+5, Data->F+6, NULL);
 _BUILD_00d0(Data,vrr_stack+12, vrr_stack+34, vrr_stack+31, Data->F+4, Data->F+5, NULL);
 _BUILD_p0d0(Data,vrr_stack+235, vrr_stack+12, vrr_stack+6, NULL, NULL, vrr_stack+31);
 _BUILD_00d0(Data,vrr_stack+18, vrr_stack+0, vrr_stack+34, Data->F+3, Data->F+4, NULL);
 _BUILD_p0d0(Data,vrr_stack+253, vrr_stack+18, vrr_stack+12, NULL, NULL, vrr_stack+34);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+37, vrr_stack+3, Data->F+6, Data->F+7, NULL);
 _BUILD_p0d0(Data,vrr_stack+271, vrr_stack+6, vrr_stack+24, NULL, NULL, vrr_stack+37);
 _BUILD_d0d0(Data,vrr_stack+289, vrr_stack+235, vrr_stack+271, vrr_stack+12, vrr_stack+6, vrr_stack+40);
 _BUILD_d0d0(Data,vrr_stack+325, vrr_stack+253, vrr_stack+235, vrr_stack+18, vrr_stack+12, vrr_stack+49);
 _BUILD_f0d0(Data,vrr_stack+361, vrr_stack+325, vrr_stack+289, vrr_stack+253, vrr_stack+235, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+40, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+40, vrr_stack+0, Data->F+2, Data->F+3, NULL);
 _BUILD_p0d0(Data,vrr_stack+49, vrr_stack+43, vrr_stack+18, NULL, NULL, vrr_stack+0);
 _BUILD_d0d0(Data,vrr_stack+421, vrr_stack+49, vrr_stack+253, vrr_stack+43, vrr_stack+18, vrr_stack+76);
 _BUILD_f0d0(Data,vrr_stack+457, vrr_stack+421, vrr_stack+325, vrr_stack+49, vrr_stack+253, vrr_stack+85);
 _BUILD_00p0(Data,vrr_stack+67, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+70, vrr_stack+3, vrr_stack+67, Data->F+7, Data->F+8, NULL);
 _BUILD_p0d0(Data,vrr_stack+76, vrr_stack+24, vrr_stack+70, NULL, NULL, vrr_stack+3);
 _BUILD_d0d0(Data,vrr_stack+517, vrr_stack+271, vrr_stack+76, vrr_stack+6, vrr_stack+24, vrr_stack+103);
 _BUILD_f0d0(Data,vrr_stack+553, vrr_stack+289, vrr_stack+517, vrr_stack+235, vrr_stack+271, vrr_stack+112);
 _BUILD_g0d0(Data,vrr_stack+613, vrr_stack+361, vrr_stack+553, vrr_stack+325, vrr_stack+289, vrr_stack+130);
 _BUILD_g0d0(Data,vrr_stack+703, vrr_stack+457, vrr_stack+361, vrr_stack+421, vrr_stack+325, vrr_stack+160);
 _BUILD_h0d0(Data,vrr_stack+793, vrr_stack+703, vrr_stack+613, vrr_stack+457, vrr_stack+361, vrr_stack+190);
 _BUILD_00f0(Data,vrr_stack+94, vrr_stack+12, vrr_stack+6, vrr_stack+34, vrr_stack+31, NULL);
 _BUILD_00f0(Data,vrr_stack+104, vrr_stack+18, vrr_stack+12, vrr_stack+0, vrr_stack+34, NULL);
 _BUILD_00f0(Data,vrr_stack+114, vrr_stack+6, vrr_stack+24, vrr_stack+31, vrr_stack+37, NULL);
 _BUILD_p0f0(Data,vrr_stack+124, vrr_stack+94, vrr_stack+114, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+154, vrr_stack+104, vrr_stack+94, NULL, NULL, vrr_stack+12);
 _BUILD_d0f0(Data,vrr_stack+919, vrr_stack+154, vrr_stack+124, vrr_stack+104, vrr_stack+94, vrr_stack+235);
 _BUILD_00f0(Data,vrr_stack+184, vrr_stack+43, vrr_stack+18, vrr_stack+40, vrr_stack+0, NULL);
 _BUILD_p0f0(Data,vrr_stack+194, vrr_stack+184, vrr_stack+104, NULL, NULL, vrr_stack+18);
 _BUILD_d0f0(Data,vrr_stack+979, vrr_stack+194, vrr_stack+154, vrr_stack+184, vrr_stack+104, vrr_stack+253);
 _BUILD_00f0(Data,vrr_stack+224, vrr_stack+24, vrr_stack+70, vrr_stack+37, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+234, vrr_stack+114, vrr_stack+224, NULL, NULL, vrr_stack+24);
 _BUILD_d0f0(Data,vrr_stack+1039, vrr_stack+124, vrr_stack+234, vrr_stack+94, vrr_stack+114, vrr_stack+271);
 _BUILD_f0f0(Data,vrr_stack+1099, vrr_stack+919, vrr_stack+1039, vrr_stack+154, vrr_stack+124, vrr_stack+289);
 _BUILD_f0f0(Data,vrr_stack+1199, vrr_stack+979, vrr_stack+919, vrr_stack+194, vrr_stack+154, vrr_stack+325);
 _BUILD_g0f0(Data,vrr_stack+1299, vrr_stack+1199, vrr_stack+1099, vrr_stack+979, vrr_stack+919, vrr_stack+361);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+264, vrr_stack+0, vrr_stack+40, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+30, vrr_stack+264, vrr_stack+43, vrr_stack+0, vrr_stack+40, NULL);
 _BUILD_p0f0(Data,vrr_stack+270, vrr_stack+30, vrr_stack+184, NULL, NULL, vrr_stack+43);
 _BUILD_d0f0(Data,vrr_stack+300, vrr_stack+270, vrr_stack+194, vrr_stack+30, vrr_stack+184, vrr_stack+49);
 _BUILD_f0f0(Data,vrr_stack+1449, vrr_stack+300, vrr_stack+979, vrr_stack+270, vrr_stack+194, vrr_stack+421);
 _BUILD_g0f0(Data,vrr_stack+1549, vrr_stack+1449, vrr_stack+1199, vrr_stack+300, vrr_stack+979, vrr_stack+457);
 _BUILD_00p0(Data,vrr_stack+40, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+67, vrr_stack+40, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+55, vrr_stack+70, vrr_stack+49, vrr_stack+3, vrr_stack+67, NULL);
 _BUILD_p0f0(Data,vrr_stack+360, vrr_stack+224, vrr_stack+55, NULL, NULL, vrr_stack+70);
 _BUILD_d0f0(Data,vrr_stack+390, vrr_stack+234, vrr_stack+360, vrr_stack+114, vrr_stack+224, vrr_stack+76);
 _BUILD_f0f0(Data,vrr_stack+1699, vrr_stack+1039, vrr_stack+390, vrr_stack+124, vrr_stack+234, vrr_stack+517);
 _BUILD_g0f0(Data,vrr_stack+1799, vrr_stack+1099, vrr_stack+1699, vrr_stack+919, vrr_stack+1039, vrr_stack+553);
 _BUILD_h0f0(Data,vrr_stack+1949, vrr_stack+1299, vrr_stack+1799, vrr_stack+1199, vrr_stack+1099, vrr_stack+613);
 _BUILD_h0f0(Data,vrr_stack+450, vrr_stack+1549, vrr_stack+1299, vrr_stack+1449, vrr_stack+1199, vrr_stack+703);
 _BUILD_i0f0(Data,vrr_stack+2159, vrr_stack+450, vrr_stack+1949, vrr_stack+1549, vrr_stack+1299, vrr_stack+793);
 _BUILD_00g0(Data,vrr_stack+76, vrr_stack+94, vrr_stack+114, vrr_stack+12, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+660, vrr_stack+104, vrr_stack+94, vrr_stack+18, vrr_stack+12, NULL);
 _BUILD_p0g0(Data,vrr_stack+675, vrr_stack+660, vrr_stack+76, NULL, NULL, vrr_stack+94);
 _BUILD_00g0(Data,vrr_stack+720, vrr_stack+184, vrr_stack+104, vrr_stack+43, vrr_stack+18, NULL);
 _BUILD_p0g0(Data,vrr_stack+735, vrr_stack+720, vrr_stack+660, NULL, NULL, vrr_stack+104);
 _BUILD_00g0(Data,vrr_stack+780, vrr_stack+114, vrr_stack+224, vrr_stack+6, vrr_stack+24, NULL);
 _BUILD_p0g0(Data,vrr_stack+795, vrr_stack+76, vrr_stack+780, NULL, NULL, vrr_stack+114);
 _BUILD_d0g0(Data,vrr_stack+2439, vrr_stack+675, vrr_stack+795, vrr_stack+660, vrr_stack+76, vrr_stack+124);
 _BUILD_d0g0(Data,vrr_stack+2529, vrr_stack+735, vrr_stack+675, vrr_stack+720, vrr_stack+660, vrr_stack+154);
 _BUILD_f0g0(Data,vrr_stack+2619, vrr_stack+2529, vrr_stack+2439, vrr_stack+735, vrr_stack+675, vrr_stack+919);
 _BUILD_00g0(Data,vrr_stack+124, vrr_stack+30, vrr_stack+184, vrr_stack+264, vrr_stack+43, NULL);
 _BUILD_p0g0(Data,vrr_stack+139, vrr_stack+124, vrr_stack+720, NULL, NULL, vrr_stack+184);
 _BUILD_d0g0(Data,vrr_stack+840, vrr_stack+139, vrr_stack+735, vrr_stack+124, vrr_stack+720, vrr_stack+194);
 _BUILD_f0g0(Data,vrr_stack+2769, vrr_stack+840, vrr_stack+2529, vrr_stack+139, vrr_stack+735, vrr_stack+979);
 _BUILD_00g0(Data,vrr_stack+194, vrr_stack+224, vrr_stack+55, vrr_stack+24, vrr_stack+70, NULL);
 _BUILD_p0g0(Data,vrr_stack+930, vrr_stack+780, vrr_stack+194, NULL, NULL, vrr_stack+224);
 _BUILD_d0g0(Data,vrr_stack+2919, vrr_stack+795, vrr_stack+930, vrr_stack+76, vrr_stack+780, vrr_stack+234);
 _BUILD_f0g0(Data,vrr_stack+3009, vrr_stack+2439, vrr_stack+2919, vrr_stack+675, vrr_stack+795, vrr_stack+1039);
 _BUILD_g0g0(Data,vrr_stack+3159, vrr_stack+2619, vrr_stack+3009, vrr_stack+2529, vrr_stack+2439, vrr_stack+1099);
 _BUILD_g0g0(Data,vrr_stack+3384, vrr_stack+2769, vrr_stack+2619, vrr_stack+840, vrr_stack+2529, vrr_stack+1199);
 _BUILD_h0g0(Data,vrr_stack+975, vrr_stack+3384, vrr_stack+3159, vrr_stack+2769, vrr_stack+2619, vrr_stack+1299);
 _BUILD_00p0(Data,vrr_stack+91, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+91, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+234, vrr_stack+43, vrr_stack+264, vrr_stack+91, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+209, vrr_stack+234, vrr_stack+30, vrr_stack+43, vrr_stack+264, NULL);
 _BUILD_p0g0(Data,vrr_stack+1290, vrr_stack+209, vrr_stack+124, NULL, NULL, vrr_stack+30);
 _BUILD_d0g0(Data,vrr_stack+1335, vrr_stack+1290, vrr_stack+139, vrr_stack+209, vrr_stack+124, vrr_stack+270);
 _BUILD_f0g0(Data,vrr_stack+3609, vrr_stack+1335, vrr_stack+840, vrr_stack+1290, vrr_stack+139, vrr_stack+300);
 _BUILD_g0g0(Data,vrr_stack+3759, vrr_stack+3609, vrr_stack+2769, vrr_stack+1335, vrr_stack+840, vrr_stack+1449);
 _BUILD_h0g0(Data,vrr_stack+3984, vrr_stack+3759, vrr_stack+3384, vrr_stack+3609, vrr_stack+2769, vrr_stack+1549);
 _BUILD_00p0(Data,vrr_stack+91, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+43, vrr_stack+40, vrr_stack+91, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+3609, vrr_stack+49, vrr_stack+43, vrr_stack+67, vrr_stack+40, NULL);
 _BUILD_00g0(Data,vrr_stack+3619, vrr_stack+55, vrr_stack+3609, vrr_stack+70, vrr_stack+49, NULL);
 _BUILD_p0g0(Data,vrr_stack+3634, vrr_stack+194, vrr_stack+3619, NULL, NULL, vrr_stack+55);
 _BUILD_d0g0(Data,vrr_stack+1290, vrr_stack+930, vrr_stack+3634, vrr_stack+780, vrr_stack+194, vrr_stack+360);
 _BUILD_f0g0(Data,vrr_stack+1380, vrr_stack+2919, vrr_stack+1290, vrr_stack+795, vrr_stack+930, vrr_stack+390);
 _BUILD_g0g0(Data,vrr_stack+4299, vrr_stack+3009, vrr_stack+1380, vrr_stack+2439, vrr_stack+2919, vrr_stack+1699);
 _BUILD_h0g0(Data,vrr_stack+4524, vrr_stack+3159, vrr_stack+4299, vrr_stack+2619, vrr_stack+3009, vrr_stack+1799);
 _BUILD_i0g0(Data,vrr_stack+4839, vrr_stack+975, vrr_stack+4524, vrr_stack+3384, vrr_stack+3159, vrr_stack+1949);
 _BUILD_i0g0(Data,vrr_stack+1530, vrr_stack+3984, vrr_stack+975, vrr_stack+3759, vrr_stack+3384, vrr_stack+450);
   tmp = vrr_stack + 1530;
   target_ptr = Libint->vrr_classes[6][4];
   for(i=0;i<420;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00h0(Data,vrr_stack+3679, vrr_stack+76, vrr_stack+780, vrr_stack+94, vrr_stack+114, NULL);
 _BUILD_00h0(Data,vrr_stack+3700, vrr_stack+660, vrr_stack+76, vrr_stack+104, vrr_stack+94, NULL);
 _BUILD_p0h0(Data,vrr_stack+3721, vrr_stack+3700, vrr_stack+3679, NULL, NULL, vrr_stack+76);
 _BUILD_00h0(Data,vrr_stack+3784, vrr_stack+720, vrr_stack+660, vrr_stack+184, vrr_stack+104, NULL);
 _BUILD_p0h0(Data,vrr_stack+3805, vrr_stack+3784, vrr_stack+3700, NULL, NULL, vrr_stack+660);
 _BUILD_00h0(Data,vrr_stack+3868, vrr_stack+780, vrr_stack+194, vrr_stack+114, vrr_stack+224, NULL);
 _BUILD_p0h0(Data,vrr_stack+3889, vrr_stack+3679, vrr_stack+3868, NULL, NULL, vrr_stack+780);
 _BUILD_d0h0(Data,vrr_stack+1950, vrr_stack+3721, vrr_stack+3889, vrr_stack+3700, vrr_stack+3679, vrr_stack+795);
 _BUILD_d0h0(Data,vrr_stack+244, vrr_stack+3805, vrr_stack+3721, vrr_stack+3784, vrr_stack+3700, vrr_stack+675);
 _BUILD_f0h0(Data,vrr_stack+370, vrr_stack+244, vrr_stack+1950, vrr_stack+3805, vrr_stack+3721, vrr_stack+2439);
 _BUILD_00h0(Data,vrr_stack+2439, vrr_stack+124, vrr_stack+720, vrr_stack+30, vrr_stack+184, NULL);
 _BUILD_p0h0(Data,vrr_stack+2460, vrr_stack+2439, vrr_stack+3784, NULL, NULL, vrr_stack+720);
 _BUILD_d0h0(Data,vrr_stack+5259, vrr_stack+2460, vrr_stack+3805, vrr_stack+2439, vrr_stack+3784, vrr_stack+735);
 _BUILD_f0h0(Data,vrr_stack+5385, vrr_stack+5259, vrr_stack+244, vrr_stack+2460, vrr_stack+3805, vrr_stack+2529);
 _BUILD_00h0(Data,vrr_stack+735, vrr_stack+194, vrr_stack+3619, vrr_stack+224, vrr_stack+55, NULL);
 _BUILD_p0h0(Data,vrr_stack+2523, vrr_stack+3868, vrr_stack+735, NULL, NULL, vrr_stack+194);
 _BUILD_d0h0(Data,vrr_stack+5595, vrr_stack+3889, vrr_stack+2523, vrr_stack+3679, vrr_stack+3868, vrr_stack+930);
 _BUILD_f0h0(Data,vrr_stack+5721, vrr_stack+1950, vrr_stack+5595, vrr_stack+3721, vrr_stack+3889, vrr_stack+2919);
 _BUILD_g0h0(Data,vrr_stack+5931, vrr_stack+370, vrr_stack+5721, vrr_stack+244, vrr_stack+1950, vrr_stack+3009);
 _BUILD_g0h0(Data,vrr_stack+6246, vrr_stack+5385, vrr_stack+370, vrr_stack+5259, vrr_stack+244, vrr_stack+2619);
 _BUILD_h0h0(Data,vrr_stack+6561, vrr_stack+6246, vrr_stack+5931, vrr_stack+5385, vrr_stack+370, vrr_stack+3159);
 _BUILD_00h0(Data,vrr_stack+2919, vrr_stack+209, vrr_stack+124, vrr_stack+234, vrr_stack+30, NULL);
 _BUILD_p0h0(Data,vrr_stack+2940, vrr_stack+2919, vrr_stack+2439, NULL, NULL, vrr_stack+124);
 _BUILD_d0h0(Data,vrr_stack+3003, vrr_stack+2940, vrr_stack+2460, vrr_stack+2919, vrr_stack+2439, vrr_stack+139);
 _BUILD_f0h0(Data,vrr_stack+3129, vrr_stack+3003, vrr_stack+5259, vrr_stack+2940, vrr_stack+2460, vrr_stack+840);
 _BUILD_g0h0(Data,vrr_stack+7002, vrr_stack+3129, vrr_stack+5385, vrr_stack+3003, vrr_stack+5259, vrr_stack+2769);
 _BUILD_h0h0(Data,vrr_stack+7317, vrr_stack+7002, vrr_stack+6246, vrr_stack+3129, vrr_stack+5385, vrr_stack+3384);
 _BUILD_00p0(Data,vrr_stack+2940, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2943, vrr_stack+91, vrr_stack+2940, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+2949, vrr_stack+43, vrr_stack+2943, vrr_stack+40, vrr_stack+91, NULL);
 _BUILD_00g0(Data,vrr_stack+2959, vrr_stack+3609, vrr_stack+2949, vrr_stack+49, vrr_stack+43, NULL);
 _BUILD_00h0(Data,vrr_stack+2974, vrr_stack+3619, vrr_stack+2959, vrr_stack+55, vrr_stack+3609, NULL);
 _BUILD_p0h0(Data,vrr_stack+2995, vrr_stack+735, vrr_stack+2974, NULL, NULL, vrr_stack+3619);
 _BUILD_d0h0(Data,vrr_stack+3058, vrr_stack+2523, vrr_stack+2995, vrr_stack+3868, vrr_stack+735, vrr_stack+3634);
 _BUILD_f0h0(Data,vrr_stack+3184, vrr_stack+5595, vrr_stack+3058, vrr_stack+3889, vrr_stack+2523, vrr_stack+1290);
 _BUILD_g0h0(Data,vrr_stack+2586, vrr_stack+5721, vrr_stack+3184, vrr_stack+1950, vrr_stack+5595, vrr_stack+1380);
 _BUILD_h0h0(Data,vrr_stack+7758, vrr_stack+5931, vrr_stack+2586, vrr_stack+370, vrr_stack+5721, vrr_stack+4299);
 _BUILD_i0h0(Data,vrr_stack+8199, vrr_stack+6561, vrr_stack+7758, vrr_stack+6246, vrr_stack+5931, vrr_stack+4524);
 _BUILD_i0h0(Data,vrr_stack+8787, vrr_stack+7317, vrr_stack+6561, vrr_stack+7002, vrr_stack+6246, vrr_stack+975);
   tmp = vrr_stack + 8787;
   target_ptr = Libint->vrr_classes[6][5];
   for(i=0;i<588;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00i0(Data,vrr_stack+7002, vrr_stack+3679, vrr_stack+3868, vrr_stack+76, vrr_stack+780, NULL);
 _BUILD_00i0(Data,vrr_stack+7030, vrr_stack+3700, vrr_stack+3679, vrr_stack+660, vrr_stack+76, NULL);
 _BUILD_p0i0(Data,vrr_stack+7058, vrr_stack+7030, vrr_stack+7002, NULL, NULL, vrr_stack+3679);
 _BUILD_00i0(Data,vrr_stack+7142, vrr_stack+3784, vrr_stack+3700, vrr_stack+720, vrr_stack+660, NULL);
 _BUILD_p0i0(Data,vrr_stack+7170, vrr_stack+7142, vrr_stack+7030, NULL, NULL, vrr_stack+3700);
 _BUILD_00i0(Data,vrr_stack+7254, vrr_stack+3868, vrr_stack+735, vrr_stack+780, vrr_stack+194, NULL);
 _BUILD_p0i0(Data,vrr_stack+4299, vrr_stack+7002, vrr_stack+7254, NULL, NULL, vrr_stack+3868);
 _BUILD_d0i0(Data,vrr_stack+4383, vrr_stack+7058, vrr_stack+4299, vrr_stack+7030, vrr_stack+7002, vrr_stack+3889);
 _BUILD_d0i0(Data,vrr_stack+4551, vrr_stack+7170, vrr_stack+7058, vrr_stack+7142, vrr_stack+7030, vrr_stack+3721);
 _BUILD_f0i0(Data,vrr_stack+9375, vrr_stack+4551, vrr_stack+4383, vrr_stack+7170, vrr_stack+7058, vrr_stack+1950);
 _BUILD_00i0(Data,vrr_stack+1950, vrr_stack+2439, vrr_stack+3784, vrr_stack+124, vrr_stack+720, NULL);
 _BUILD_p0i0(Data,vrr_stack+1978, vrr_stack+1950, vrr_stack+7142, NULL, NULL, vrr_stack+3784);
 _BUILD_d0i0(Data,vrr_stack+1290, vrr_stack+1978, vrr_stack+7170, vrr_stack+1950, vrr_stack+7142, vrr_stack+3805);
 _BUILD_f0i0(Data,vrr_stack+9655, vrr_stack+1290, vrr_stack+4551, vrr_stack+1978, vrr_stack+7170, vrr_stack+244);
 _BUILD_00i0(Data,vrr_stack+3805, vrr_stack+735, vrr_stack+2974, vrr_stack+194, vrr_stack+3619, NULL);
 _BUILD_p0i0(Data,vrr_stack+2062, vrr_stack+7254, vrr_stack+3805, NULL, NULL, vrr_stack+735);
 _BUILD_d0i0(Data,vrr_stack+3394, vrr_stack+4299, vrr_stack+2062, vrr_stack+7002, vrr_stack+7254, vrr_stack+2523);
 _BUILD_f0i0(Data,vrr_stack+9935, vrr_stack+4383, vrr_stack+3394, vrr_stack+7058, vrr_stack+4299, vrr_stack+5595);
 _BUILD_g0i0(Data,vrr_stack+10215, vrr_stack+9375, vrr_stack+9935, vrr_stack+4551, vrr_stack+4383, vrr_stack+5721);
 _BUILD_g0i0(Data,vrr_stack+10635, vrr_stack+9655, vrr_stack+9375, vrr_stack+1290, vrr_stack+4551, vrr_stack+370);
 _BUILD_h0i0(Data,vrr_stack+11055, vrr_stack+10635, vrr_stack+10215, vrr_stack+9655, vrr_stack+9375, vrr_stack+5931);
 _BUILD_00i0(Data,vrr_stack+5595, vrr_stack+2919, vrr_stack+2439, vrr_stack+209, vrr_stack+124, NULL);
 _BUILD_p0i0(Data,vrr_stack+5623, vrr_stack+5595, vrr_stack+1950, NULL, NULL, vrr_stack+2439);
 _BUILD_d0i0(Data,vrr_stack+5707, vrr_stack+5623, vrr_stack+1978, vrr_stack+5595, vrr_stack+1950, vrr_stack+2460);
 _BUILD_f0i0(Data,vrr_stack+5875, vrr_stack+5707, vrr_stack+1290, vrr_stack+5623, vrr_stack+1978, vrr_stack+5259);
 _BUILD_g0i0(Data,vrr_stack+94, vrr_stack+5875, vrr_stack+9655, vrr_stack+5707, vrr_stack+1290, vrr_stack+5385);
 _BUILD_h0i0(Data,vrr_stack+11643, vrr_stack+94, vrr_stack+10635, vrr_stack+5875, vrr_stack+9655, vrr_stack+6246);
 _BUILD_00p0(Data,vrr_stack+5259, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5262, vrr_stack+2940, vrr_stack+5259, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+5268, vrr_stack+2943, vrr_stack+5262, vrr_stack+91, vrr_stack+2940, NULL);
 _BUILD_00g0(Data,vrr_stack+5278, vrr_stack+2949, vrr_stack+5268, vrr_stack+43, vrr_stack+2943, NULL);
 _BUILD_00h0(Data,vrr_stack+5293, vrr_stack+2959, vrr_stack+5278, vrr_stack+3609, vrr_stack+2949, NULL);
 _BUILD_00i0(Data,vrr_stack+5314, vrr_stack+2974, vrr_stack+5293, vrr_stack+3619, vrr_stack+2959, NULL);
 _BUILD_p0i0(Data,vrr_stack+5342, vrr_stack+3805, vrr_stack+5314, NULL, NULL, vrr_stack+2974);
 _BUILD_d0i0(Data,vrr_stack+5426, vrr_stack+2062, vrr_stack+5342, vrr_stack+7254, vrr_stack+3805, vrr_stack+2995);
 _BUILD_f0i0(Data,vrr_stack+5623, vrr_stack+3394, vrr_stack+5426, vrr_stack+4299, vrr_stack+2062, vrr_stack+3058);
 _BUILD_g0i0(Data,vrr_stack+5903, vrr_stack+9935, vrr_stack+5623, vrr_stack+4383, vrr_stack+3394, vrr_stack+3184);
 _BUILD_h0i0(Data,vrr_stack+12231, vrr_stack+10215, vrr_stack+5903, vrr_stack+9375, vrr_stack+9935, vrr_stack+2586);
 _BUILD_i0i0(Data,vrr_stack+12819, vrr_stack+11055, vrr_stack+12231, vrr_stack+10635, vrr_stack+10215, vrr_stack+7758);
 _BUILD_i0i0(Data,vrr_stack+13603, vrr_stack+11643, vrr_stack+11055, vrr_stack+94, vrr_stack+10635, vrr_stack+6561);
   tmp = vrr_stack + 13603;
   target_ptr = Libint->vrr_classes[6][6];
   for(i=0;i<784;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00k0(Data,vrr_stack+7758, vrr_stack+7002, vrr_stack+7254, vrr_stack+3679, vrr_stack+3868, NULL);
 _BUILD_00k0(Data,vrr_stack+7794, vrr_stack+7030, vrr_stack+7002, vrr_stack+3700, vrr_stack+3679, NULL);
 _BUILD_p0k0(Data,vrr_stack+7830, vrr_stack+7794, vrr_stack+7758, NULL, NULL, vrr_stack+7002);
 _BUILD_00k0(Data,vrr_stack+7938, vrr_stack+7142, vrr_stack+7030, vrr_stack+3784, vrr_stack+3700, NULL);
 _BUILD_p0k0(Data,vrr_stack+7974, vrr_stack+7938, vrr_stack+7794, NULL, NULL, vrr_stack+7030);
 _BUILD_00k0(Data,vrr_stack+8082, vrr_stack+7254, vrr_stack+3805, vrr_stack+3868, vrr_stack+735, NULL);
 _BUILD_p0k0(Data,vrr_stack+2995, vrr_stack+7758, vrr_stack+8082, NULL, NULL, vrr_stack+7254);
 _BUILD_d0k0(Data,vrr_stack+3103, vrr_stack+7830, vrr_stack+2995, vrr_stack+7794, vrr_stack+7758, vrr_stack+4299);
 _BUILD_d0k0(Data,vrr_stack+6323, vrr_stack+7974, vrr_stack+7830, vrr_stack+7938, vrr_stack+7794, vrr_stack+7058);
 _BUILD_f0k0(Data,vrr_stack+2460, vrr_stack+6323, vrr_stack+3103, vrr_stack+7974, vrr_stack+7830, vrr_stack+4383);
 _BUILD_00k0(Data,vrr_stack+7058, vrr_stack+1950, vrr_stack+7142, vrr_stack+2439, vrr_stack+3784, NULL);
 _BUILD_p0k0(Data,vrr_stack+4299, vrr_stack+7058, vrr_stack+7938, NULL, NULL, vrr_stack+7142);
 _BUILD_d0k0(Data,vrr_stack+3562, vrr_stack+4299, vrr_stack+7974, vrr_stack+7058, vrr_stack+7938, vrr_stack+7170);
 _BUILD_f0k0(Data,vrr_stack+0, vrr_stack+3562, vrr_stack+6323, vrr_stack+4299, vrr_stack+7974, vrr_stack+4551);
 _BUILD_00k0(Data,vrr_stack+7170, vrr_stack+3805, vrr_stack+5314, vrr_stack+735, vrr_stack+2974, NULL);
 _BUILD_p0k0(Data,vrr_stack+4407, vrr_stack+8082, vrr_stack+7170, NULL, NULL, vrr_stack+3805);
 _BUILD_d0k0(Data,vrr_stack+4515, vrr_stack+2995, vrr_stack+4407, vrr_stack+7758, vrr_stack+8082, vrr_stack+2062);
 _BUILD_f0k0(Data,vrr_stack+360, vrr_stack+3103, vrr_stack+4515, vrr_stack+7830, vrr_stack+2995, vrr_stack+3394);
 _BUILD_g0k0(Data,vrr_stack+14387, vrr_stack+2460, vrr_stack+360, vrr_stack+6323, vrr_stack+3103, vrr_stack+9935);
 _BUILD_g0k0(Data,vrr_stack+14927, vrr_stack+0, vrr_stack+2460, vrr_stack+3562, vrr_stack+6323, vrr_stack+9375);
 _BUILD_h0k0(Data,vrr_stack+15467, vrr_stack+14927, vrr_stack+14387, vrr_stack+0, vrr_stack+2460, vrr_stack+10215);
 _BUILD_00k0(Data,vrr_stack+9375, vrr_stack+5595, vrr_stack+1950, vrr_stack+2919, vrr_stack+2439, NULL);
 _BUILD_p0k0(Data,vrr_stack+4731, vrr_stack+9375, vrr_stack+7058, NULL, NULL, vrr_stack+1950);
 _BUILD_d0k0(Data,vrr_stack+9411, vrr_stack+4731, vrr_stack+4299, vrr_stack+9375, vrr_stack+7058, vrr_stack+1978);
 _BUILD_f0k0(Data,vrr_stack+9935, vrr_stack+9411, vrr_stack+3562, vrr_stack+4731, vrr_stack+4299, vrr_stack+1290);
 _BUILD_g0k0(Data,vrr_stack+16223, vrr_stack+9935, vrr_stack+0, vrr_stack+9411, vrr_stack+3562, vrr_stack+9655);
 _BUILD_h0k0(Data,vrr_stack+16763, vrr_stack+16223, vrr_stack+14927, vrr_stack+9935, vrr_stack+0, vrr_stack+10635);
 _BUILD_00p0(Data,vrr_stack+9411, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9414, vrr_stack+5259, vrr_stack+9411, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+9420, vrr_stack+5262, vrr_stack+9414, vrr_stack+2940, vrr_stack+5259, NULL);
 _BUILD_00g0(Data,vrr_stack+9430, vrr_stack+5268, vrr_stack+9420, vrr_stack+2943, vrr_stack+5262, NULL);
 _BUILD_00h0(Data,vrr_stack+2439, vrr_stack+5278, vrr_stack+9430, vrr_stack+2949, vrr_stack+5268, NULL);
 _BUILD_00i0(Data,vrr_stack+9445, vrr_stack+5293, vrr_stack+2439, vrr_stack+2959, vrr_stack+5278, NULL);
 _BUILD_00k0(Data,vrr_stack+9473, vrr_stack+5314, vrr_stack+9445, vrr_stack+2974, vrr_stack+5293, NULL);
 _BUILD_p0k0(Data,vrr_stack+4731, vrr_stack+7170, vrr_stack+9473, NULL, NULL, vrr_stack+5314);
 _BUILD_d0k0(Data,vrr_stack+9509, vrr_stack+4407, vrr_stack+4731, vrr_stack+8082, vrr_stack+7170, vrr_stack+5342);
 _BUILD_f0k0(Data,vrr_stack+9725, vrr_stack+4515, vrr_stack+9509, vrr_stack+2995, vrr_stack+4407, vrr_stack+5426);
 _BUILD_g0k0(Data,vrr_stack+10085, vrr_stack+360, vrr_stack+9725, vrr_stack+3103, vrr_stack+4515, vrr_stack+5623);
 _BUILD_h0k0(Data,vrr_stack+17519, vrr_stack+14387, vrr_stack+10085, vrr_stack+2460, vrr_stack+360, vrr_stack+5903);
 _BUILD_i0k0(Data,vrr_stack+18275, vrr_stack+15467, vrr_stack+17519, vrr_stack+14927, vrr_stack+14387, vrr_stack+12231);
 _BUILD_i0k0(Data,vrr_stack+19283, vrr_stack+16763, vrr_stack+15467, vrr_stack+16223, vrr_stack+14927, vrr_stack+11055);
   tmp = vrr_stack + 19283;
   target_ptr = Libint->vrr_classes[6][7];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00l0(Data,vrr_stack+16223, vrr_stack+7758, vrr_stack+8082, vrr_stack+7002, vrr_stack+7254, NULL);
 _BUILD_00l0(Data,vrr_stack+16268, vrr_stack+7794, vrr_stack+7758, vrr_stack+7030, vrr_stack+7002, NULL);
 _BUILD_p0l0(Data,vrr_stack+16313, vrr_stack+16268, vrr_stack+16223, NULL, NULL, vrr_stack+7758);
 _BUILD_00l0(Data,vrr_stack+16448, vrr_stack+7938, vrr_stack+7794, vrr_stack+7142, vrr_stack+7030, NULL);
 _BUILD_p0l0(Data,vrr_stack+16493, vrr_stack+16448, vrr_stack+16268, NULL, NULL, vrr_stack+7794);
 _BUILD_00l0(Data,vrr_stack+7758, vrr_stack+8082, vrr_stack+7170, vrr_stack+7254, vrr_stack+3805, NULL);
 _BUILD_p0l0(Data,vrr_stack+16628, vrr_stack+16223, vrr_stack+7758, NULL, NULL, vrr_stack+8082);
 _BUILD_d0l0(Data,vrr_stack+12231, vrr_stack+16313, vrr_stack+16628, vrr_stack+16268, vrr_stack+16223, vrr_stack+2995);
 _BUILD_d0l0(Data,vrr_stack+12501, vrr_stack+16493, vrr_stack+16313, vrr_stack+16448, vrr_stack+16268, vrr_stack+7830);
 _BUILD_f0l0(Data,vrr_stack+5623, vrr_stack+12501, vrr_stack+12231, vrr_stack+16493, vrr_stack+16313, vrr_stack+3103);
 _BUILD_00l0(Data,vrr_stack+16268, vrr_stack+7058, vrr_stack+7938, vrr_stack+1950, vrr_stack+7142, NULL);
 _BUILD_p0l0(Data,vrr_stack+7803, vrr_stack+16268, vrr_stack+16448, NULL, NULL, vrr_stack+7938);
 _BUILD_d0l0(Data,vrr_stack+10625, vrr_stack+7803, vrr_stack+16493, vrr_stack+16268, vrr_stack+16448, vrr_stack+7974);
 _BUILD_f0l0(Data,vrr_stack+2820, vrr_stack+10625, vrr_stack+12501, vrr_stack+7803, vrr_stack+16493, vrr_stack+6323);
 _BUILD_00l0(Data,vrr_stack+16448, vrr_stack+7170, vrr_stack+9473, vrr_stack+3805, vrr_stack+5314, NULL);
 _BUILD_p0l0(Data,vrr_stack+16493, vrr_stack+7758, vrr_stack+16448, NULL, NULL, vrr_stack+7170);
 _BUILD_d0l0(Data,vrr_stack+6073, vrr_stack+16628, vrr_stack+16493, vrr_stack+16223, vrr_stack+7758, vrr_stack+4407);
 _BUILD_f0l0(Data,vrr_stack+20291, vrr_stack+12231, vrr_stack+6073, vrr_stack+16313, vrr_stack+16628, vrr_stack+4515);
 _BUILD_g0l0(Data,vrr_stack+20741, vrr_stack+5623, vrr_stack+20291, vrr_stack+12501, vrr_stack+12231, vrr_stack+360);
 _BUILD_g0l0(Data,vrr_stack+21416, vrr_stack+2820, vrr_stack+5623, vrr_stack+10625, vrr_stack+12501, vrr_stack+2460);
 _BUILD_h0l0(Data,vrr_stack+22091, vrr_stack+21416, vrr_stack+20741, vrr_stack+2820, vrr_stack+5623, vrr_stack+14387);
 _BUILD_00l0(Data,vrr_stack+16223, vrr_stack+9375, vrr_stack+7058, vrr_stack+5595, vrr_stack+1950, NULL);
 _BUILD_p0l0(Data,vrr_stack+16313, vrr_stack+16223, vrr_stack+16268, NULL, NULL, vrr_stack+7058);
 _BUILD_d0l0(Data,vrr_stack+14387, vrr_stack+16313, vrr_stack+7803, vrr_stack+16223, vrr_stack+16268, vrr_stack+4299);
 _BUILD_f0l0(Data,vrr_stack+360, vrr_stack+14387, vrr_stack+10625, vrr_stack+16313, vrr_stack+7803, vrr_stack+3562);
 _BUILD_g0l0(Data,vrr_stack+3270, vrr_stack+360, vrr_stack+2820, vrr_stack+14387, vrr_stack+10625, vrr_stack+0);
 _BUILD_h0l0(Data,vrr_stack+23036, vrr_stack+3270, vrr_stack+21416, vrr_stack+360, vrr_stack+2820, vrr_stack+14927);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+3, vrr_stack+9411, vrr_stack+0, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+9, vrr_stack+9414, vrr_stack+3, vrr_stack+5259, vrr_stack+9411, NULL);
 _BUILD_00g0(Data,vrr_stack+19, vrr_stack+9420, vrr_stack+9, vrr_stack+5262, vrr_stack+9414, NULL);
 _BUILD_00h0(Data,vrr_stack+34, vrr_stack+9430, vrr_stack+19, vrr_stack+5268, vrr_stack+9420, NULL);
 _BUILD_00i0(Data,vrr_stack+0, vrr_stack+2439, vrr_stack+34, vrr_stack+5278, vrr_stack+9430, NULL);
 _BUILD_00k0(Data,vrr_stack+28, vrr_stack+9445, vrr_stack+0, vrr_stack+5293, vrr_stack+2439, NULL);
 _BUILD_00l0(Data,vrr_stack+2439, vrr_stack+9473, vrr_stack+28, vrr_stack+5314, vrr_stack+9445, NULL);
 _BUILD_p0l0(Data,vrr_stack+2484, vrr_stack+16448, vrr_stack+2439, NULL, NULL, vrr_stack+9473);
 _BUILD_d0l0(Data,vrr_stack+2619, vrr_stack+16493, vrr_stack+2484, vrr_stack+7758, vrr_stack+16448, vrr_stack+4731);
 _BUILD_f0l0(Data,vrr_stack+0, vrr_stack+6073, vrr_stack+2619, vrr_stack+16628, vrr_stack+16493, vrr_stack+9509);
 _BUILD_g0l0(Data,vrr_stack+2439, vrr_stack+20291, vrr_stack+0, vrr_stack+12231, vrr_stack+6073, vrr_stack+9725);
 _BUILD_h0l0(Data,vrr_stack+0, vrr_stack+20741, vrr_stack+2439, vrr_stack+5623, vrr_stack+20291, vrr_stack+10085);
 _BUILD_i0l0(Data,vrr_stack+5259, vrr_stack+22091, vrr_stack+0, vrr_stack+21416, vrr_stack+20741, vrr_stack+17519);
 _BUILD_i0l0(Data,vrr_stack+9375, vrr_stack+23036, vrr_stack+22091, vrr_stack+3270, vrr_stack+21416, vrr_stack+15467);
   tmp = vrr_stack + 9375;
   target_ptr = Libint->vrr_classes[6][8];
   for(i=0;i<1260;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0g0(Data,vrr_stack+4299, vrr_stack+1530, vrr_stack+4839, vrr_stack+3984, vrr_stack+975, vrr_stack+2159);
   tmp = vrr_stack + 4299;
   target_ptr = Libint->vrr_classes[7][4];
   for(i=0;i<540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0h0(Data,vrr_stack+17519, vrr_stack+8787, vrr_stack+8199, vrr_stack+7317, vrr_stack+6561, vrr_stack+4839);
   tmp = vrr_stack + 17519;
   target_ptr = Libint->vrr_classes[7][5];
   for(i=0;i<756;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0i0(Data,vrr_stack+0, vrr_stack+13603, vrr_stack+12819, vrr_stack+11643, vrr_stack+11055, vrr_stack+8199);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[7][6];
   for(i=0;i<1008;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0k0(Data,vrr_stack+13603, vrr_stack+19283, vrr_stack+18275, vrr_stack+16763, vrr_stack+15467, vrr_stack+12819);
   tmp = vrr_stack + 13603;
   target_ptr = Libint->vrr_classes[7][7];
   for(i=0;i<1296;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0l0(Data,vrr_stack+19283, vrr_stack+9375, vrr_stack+5259, vrr_stack+23036, vrr_stack+22091, vrr_stack+18275);
   tmp = vrr_stack + 19283;
   target_ptr = Libint->vrr_classes[7][8];
   for(i=0;i<1620;i++)
     target_ptr[i] += tmp[i];

}

