#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00ih(Libint_t*, prim_data*);

  /* Computes quartets of (00|ih) integrals */

REALTYPE *hrr_order_00ih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][6] = int_stack + 0;
 Libint->vrr_classes[0][7] = int_stack + 28;
 Libint->vrr_classes[0][8] = int_stack + 64;
 Libint->vrr_classes[0][9] = int_stack + 109;
 Libint->vrr_classes[0][10] = int_stack + 164;
 Libint->vrr_classes[0][11] = int_stack + 230;
 memset(int_stack,0,308*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 308;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00ih(Libint, Data);
   Data++;
 }
 /*--- compute (00|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+308,int_stack+28,int_stack+0,1);
 /*--- compute (00|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+392,int_stack+64,int_stack+28,1);
 /*--- compute (00|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+500,int_stack+392,int_stack+308,1);
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+668,int_stack+109,int_stack+64,1);
 /*--- compute (00|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+803,int_stack+668,int_stack+392,1);
 /*--- compute (00|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+1019,int_stack+803,int_stack+500,1);
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+308,int_stack+164,int_stack+109,1);
 /*--- compute (00|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1299,int_stack+308,int_stack+668,1);
 /*--- compute (00|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+1569,int_stack+1299,int_stack+803,1);
 /*--- compute (00|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+473,int_stack+1569,int_stack+1019,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+893,int_stack+230,int_stack+164,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1929,int_stack+893,int_stack+308,1);
 /*--- compute (00|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+1929,int_stack+1299,1);
 /*--- compute (00|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+1929,int_stack+0,int_stack+1569,1);
 /*--- compute (00|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+893,int_stack+1929,int_stack+473,1);
 return int_stack+893;}
