#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfih(Libint_t*, prim_data*);

  /* Computes quartets of (gf|ih) integrals */

REALTYPE *hrr_order_gfih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[4][10] = int_stack + 2460;
 Libint->vrr_classes[4][11] = int_stack + 3450;
 Libint->vrr_classes[5][6] = int_stack + 4620;
 Libint->vrr_classes[5][7] = int_stack + 5208;
 Libint->vrr_classes[5][8] = int_stack + 5964;
 Libint->vrr_classes[5][9] = int_stack + 6909;
 Libint->vrr_classes[5][10] = int_stack + 8064;
 Libint->vrr_classes[5][11] = int_stack + 9450;
 Libint->vrr_classes[6][6] = int_stack + 11088;
 Libint->vrr_classes[6][7] = int_stack + 11872;
 Libint->vrr_classes[6][8] = int_stack + 12880;
 Libint->vrr_classes[6][9] = int_stack + 14140;
 Libint->vrr_classes[6][10] = int_stack + 15680;
 Libint->vrr_classes[6][11] = int_stack + 17528;
 Libint->vrr_classes[7][6] = int_stack + 19712;
 Libint->vrr_classes[7][7] = int_stack + 20720;
 Libint->vrr_classes[7][8] = int_stack + 22016;
 Libint->vrr_classes[7][9] = int_stack + 23636;
 Libint->vrr_classes[7][10] = int_stack + 25616;
 Libint->vrr_classes[7][11] = int_stack + 27992;
 memset(int_stack,0,30800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 30800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfih(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+30800,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+32060,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+33680,int_stack+32060,int_stack+30800,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+36200,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+38225,int_stack+36200,int_stack+32060,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+41465,int_stack+38225,int_stack+33680,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30800,int_stack+2460,int_stack+1635,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+45665,int_stack+30800,int_stack+36200,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+49715,int_stack+45665,int_stack+38225,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+33275,int_stack+49715,int_stack+41465,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+39575,int_stack+3450,int_stack+2460,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+55115,int_stack+39575,int_stack+30800,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60065,int_stack+55115,int_stack+45665,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+39575,int_stack+60065,int_stack+49715,15);
 /*--- compute (g0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+47675,int_stack+39575,int_stack+33275,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+30800,int_stack+5208,int_stack+4620,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+32564,int_stack+5964,int_stack+5208,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+34832,int_stack+32564,int_stack+30800,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+38360,int_stack+6909,int_stack+5964,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+41195,int_stack+38360,int_stack+32564,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+56495,int_stack+41195,int_stack+34832,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30800,int_stack+8064,int_stack+6909,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+30800,int_stack+38360,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+62375,int_stack+0,int_stack+41195,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+34265,int_stack+62375,int_stack+56495,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56495,int_stack+9450,int_stack+8064,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+69935,int_stack+56495,int_stack+30800,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+76865,int_stack+69935,int_stack+0,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+86315,int_stack+76865,int_stack+62375,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+56495,int_stack+86315,int_stack+34265,21);
 /*--- compute (gp|ih) ---*/
 hrr1_build_gp(Libint->AB,int_stack+68843,int_stack+56495,int_stack+47675,588);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+11872,int_stack+11088,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2352,int_stack+12880,int_stack+11872,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+5376,int_stack+2352,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+30800,int_stack+14140,int_stack+12880,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+34580,int_stack+30800,int_stack+2352,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+40628,int_stack+34580,int_stack+5376,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+15680,int_stack+14140,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4620,int_stack+0,int_stack+30800,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+95303,int_stack+4620,int_stack+34580,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+105383,int_stack+95303,int_stack+40628,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+30800,int_stack+17528,int_stack+15680,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+36344,int_stack+30800,int_stack+0,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+117143,int_stack+36344,int_stack+4620,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+117143,int_stack+95303,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+30800,int_stack+0,int_stack+105383,28);
 /*--- compute (hp|ih) ---*/
 hrr1_build_hp(Libint->AB,int_stack+95303,int_stack+30800,int_stack+56495,588);
 /*--- compute (gd|ih) ---*/
 hrr1_build_gd(Libint->AB,int_stack+132347,int_stack+95303,int_stack+68843,588);
 /*--- compute (k0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+20720,int_stack+19712,36);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+3024,int_stack+22016,int_stack+20720,36);
 /*--- compute (k0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+6912,int_stack+3024,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+12960,int_stack+23636,int_stack+22016,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+47264,int_stack+12960,int_stack+3024,36);
 /*--- compute (k0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+55040,int_stack+47264,int_stack+6912,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+25616,int_stack+23636,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65120,int_stack+0,int_stack+12960,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+5940,int_stack+65120,int_stack+47264,36);
 /*--- compute (k0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+74840,int_stack+5940,int_stack+55040,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47264,int_stack+27992,int_stack+25616,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18900,int_stack+47264,int_stack+0,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+47264,int_stack+18900,int_stack+65120,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+185267,int_stack+47264,int_stack+5940,36);
 /*--- compute (k0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+47264,int_stack+185267,int_stack+74840,36);
 /*--- compute (ip|ih) ---*/
 hrr1_build_ip(Libint->AB,int_stack+185267,int_stack+47264,int_stack+30800,588);
 /*--- compute (hd|ih) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+185267,int_stack+95303,588);
 /*--- compute (gf|ih) ---*/
 hrr1_build_gf(Libint->AB,int_stack+185267,int_stack+0,int_stack+132347,588);
 return int_stack+185267;}
