  /* These machine-generated functions compute a quartet of (ps||gs) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _r_build_p0g0(prim_data *Data, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, const REALTYPE *I5)
{
  REALTYPE U00, U01, U02, U10, U11, U12, U20, U21, U22;
  REALTYPE U30, U31, U32, U40, U41, U42, U50, U51, U52;
  REALTYPE loo2p = Data->oo2p;
  REALTYPE oneo4zn;
  REALTYPE twoo4zn;
  REALTYPE threeo4zn;
  REALTYPE fouro4zn;
  oneo4zn = 1.0*Data->oo2z*Data->oo2n;
  twoo4zn = 2.0*Data->oo2z*Data->oo2n;
  threeo4zn = 3.0*Data->oo2z*Data->oo2n;
  fouro4zn = 4.0*Data->oo2z*Data->oo2n;
  U00 = Data->U[0][0];
  U01 = Data->U[0][1];
  U02 = Data->U[0][2];
  U10 = Data->U[0][0]*Data->oo2n + Data->U[1][0]*Data->oo2z;
  U11 = Data->U[0][1]*Data->oo2n + Data->U[1][1]*Data->oo2z;
  U12 = Data->U[0][2]*Data->oo2n + Data->U[1][2]*Data->oo2z;

*(vp++) = U00*I0[0] - U10*I3[0] + loo2p*I2[0] - (fouro4zn)*I5[0];
*(vp++) = U00*I0[1] - U10*I3[1] + loo2p*I2[1] - (threeo4zn)*I5[1];
*(vp++) = U00*I0[2] - U10*I3[2] + loo2p*I2[2] - (threeo4zn)*I5[2];
*(vp++) = U00*I0[3] - U10*I3[3] + loo2p*I2[3] - (twoo4zn)*I5[3];
*(vp++) = U00*I0[4] - U10*I3[4] + loo2p*I2[4] - (twoo4zn)*I5[4];
*(vp++) = U00*I0[5] - U10*I3[5] + loo2p*I2[5] - (twoo4zn)*I5[5];
*(vp++) = U00*I0[6] - U10*I3[6] + loo2p*I2[6] - (oneo4zn)*I5[6];
*(vp++) = U00*I0[7] - U10*I3[7] + loo2p*I2[7] - (oneo4zn)*I5[7];
*(vp++) = U00*I0[8] - U10*I3[8] + loo2p*I2[8] - (oneo4zn)*I5[8];
*(vp++) = U00*I0[9] - U10*I3[9] + loo2p*I2[9] - (oneo4zn)*I5[9];
*(vp++) = U00*I0[10] - U10*I3[10] + loo2p*I2[10];
*(vp++) = U00*I0[11] - U10*I3[11] + loo2p*I2[11];
*(vp++) = U00*I0[12] - U10*I3[12] + loo2p*I2[12];
*(vp++) = U00*I0[13] - U10*I3[13] + loo2p*I2[13];
*(vp++) = U00*I0[14] - U10*I3[14] + loo2p*I2[14];
*(vp++) = U01*I0[0] - U11*I3[0] + loo2p*I2[15];
*(vp++) = U01*I0[1] - U11*I3[1] + loo2p*I2[16] - (oneo4zn)*I5[0];
*(vp++) = U01*I0[2] - U11*I3[2] + loo2p*I2[17];
*(vp++) = U01*I0[3] - U11*I3[3] + loo2p*I2[18] - (twoo4zn)*I5[1];
*(vp++) = U01*I0[4] - U11*I3[4] + loo2p*I2[19] - (oneo4zn)*I5[2];
*(vp++) = U01*I0[5] - U11*I3[5] + loo2p*I2[20];
*(vp++) = U01*I0[6] - U11*I3[6] + loo2p*I2[21] - (threeo4zn)*I5[3];
*(vp++) = U01*I0[7] - U11*I3[7] + loo2p*I2[22] - (twoo4zn)*I5[4];
*(vp++) = U01*I0[8] - U11*I3[8] + loo2p*I2[23] - (oneo4zn)*I5[5];
*(vp++) = U01*I0[9] - U11*I3[9] + loo2p*I2[24];
*(vp++) = U01*I0[10] - U11*I3[10] + loo2p*I2[25] - (fouro4zn)*I5[6];
*(vp++) = U01*I0[11] - U11*I3[11] + loo2p*I2[26] - (threeo4zn)*I5[7];
*(vp++) = U01*I0[12] - U11*I3[12] + loo2p*I2[27] - (twoo4zn)*I5[8];
*(vp++) = U01*I0[13] - U11*I3[13] + loo2p*I2[28] - (oneo4zn)*I5[9];
*(vp++) = U01*I0[14] - U11*I3[14] + loo2p*I2[29];
*(vp++) = U02*I0[0] - U12*I3[0] + loo2p*I2[30];
*(vp++) = U02*I0[1] - U12*I3[1] + loo2p*I2[31];
*(vp++) = U02*I0[2] - U12*I3[2] + loo2p*I2[32] - (oneo4zn)*I5[0];
*(vp++) = U02*I0[3] - U12*I3[3] + loo2p*I2[33];
*(vp++) = U02*I0[4] - U12*I3[4] + loo2p*I2[34] - (oneo4zn)*I5[1];
*(vp++) = U02*I0[5] - U12*I3[5] + loo2p*I2[35] - (twoo4zn)*I5[2];
*(vp++) = U02*I0[6] - U12*I3[6] + loo2p*I2[36];
*(vp++) = U02*I0[7] - U12*I3[7] + loo2p*I2[37] - (oneo4zn)*I5[3];
*(vp++) = U02*I0[8] - U12*I3[8] + loo2p*I2[38] - (twoo4zn)*I5[4];
*(vp++) = U02*I0[9] - U12*I3[9] + loo2p*I2[39] - (threeo4zn)*I5[5];
*(vp++) = U02*I0[10] - U12*I3[10] + loo2p*I2[40];
*(vp++) = U02*I0[11] - U12*I3[11] + loo2p*I2[41] - (oneo4zn)*I5[6];
*(vp++) = U02*I0[12] - U12*I3[12] + loo2p*I2[42] - (twoo4zn)*I5[7];
*(vp++) = U02*I0[13] - U12*I3[13] + loo2p*I2[43] - (threeo4zn)*I5[8];
*(vp++) = U02*I0[14] - U12*I3[14] + loo2p*I2[44] - (fouro4zn)*I5[9];

}
