#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00hf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+81, NULL, NULL, r12vrr_stack+30);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+151, r12vrr_stack+71, r12vrr_stack+141, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+166, r12vrr_stack+81, r12vrr_stack+151, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+30, NULL);
 tmp = r12vrr_stack + 187;
 target_ptr = Libr12->gvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+208, r12vrr_stack+187, r12vrr_stack+166, NULL, NULL, r12vrr_stack+81);
 tmp = r12vrr_stack + 208;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+271, r12vrr_stack+187, r12vrr_stack+166, r12vrr_stack+50, r12vrr_stack+81, NULL);
 tmp = r12vrr_stack + 271;
 target_ptr = Libr12->gvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+299, r12vrr_stack+141, r12vrr_stack+30, r12vrr_stack+65, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+314, r12vrr_stack+151, r12vrr_stack+299, r12vrr_stack+71, r12vrr_stack+141, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+335, r12vrr_stack+166, r12vrr_stack+314, r12vrr_stack+81, r12vrr_stack+151, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+363, r12vrr_stack+271, r12vrr_stack+335, NULL, NULL, r12vrr_stack+166);
 tmp = r12vrr_stack + 363;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+447, r12vrr_stack+271, r12vrr_stack+335, r12vrr_stack+187, r12vrr_stack+166, NULL);
 tmp = r12vrr_stack + 447;
 target_ptr = Libr12->gvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+483, r12vrr_stack+299, r12vrr_stack+81, r12vrr_stack+141, r12vrr_stack+30, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+504, r12vrr_stack+314, r12vrr_stack+483, r12vrr_stack+151, r12vrr_stack+299, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+532, r12vrr_stack+335, r12vrr_stack+504, r12vrr_stack+166, r12vrr_stack+314, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+568, r12vrr_stack+447, r12vrr_stack+532, NULL, NULL, r12vrr_stack+335);
 tmp = r12vrr_stack + 568;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+447, r12vrr_stack+532, r12vrr_stack+271, r12vrr_stack+335, NULL);
 tmp = r12vrr_stack + 141;
 target_ptr = Libr12->gvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+676, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+686, r12vrr_stack+71, r12vrr_stack+676, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+701, r12vrr_stack+81, r12vrr_stack+686, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+722, r12vrr_stack+483, r12vrr_stack+701, r12vrr_stack+299, r12vrr_stack+81, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+676, r12vrr_stack+504, r12vrr_stack+722, r12vrr_stack+314, r12vrr_stack+483, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+712, r12vrr_stack+532, r12vrr_stack+676, r12vrr_stack+335, r12vrr_stack+504, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+757, r12vrr_stack+141, r12vrr_stack+712, NULL, NULL, r12vrr_stack+532);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+299, r12vrr_stack+141, r12vrr_stack+712, r12vrr_stack+447, r12vrr_stack+532, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+676, &(Data->ss_r12_ss), NULL, r12vrr_stack+12, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+679, r12vrr_stack+676, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+12, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+685, r12vrr_stack+679, r12vrr_stack+676, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+685, r12vrr_stack+679, r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+685, r12vrr_stack+187, r12vrr_stack+50, r12vrr_stack+40, NULL);
 tmp = r12vrr_stack + 15;
 target_ptr = Libr12->rvrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+676, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+271, r12vrr_stack+187, r12vrr_stack+50, NULL);
 tmp = r12vrr_stack + 676;
 target_ptr = Libr12->rvrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+704, r12vrr_stack+676, r12vrr_stack+15, r12vrr_stack+447, r12vrr_stack+271, r12vrr_stack+187, NULL);
 tmp = r12vrr_stack + 704;
 target_ptr = Libr12->rvrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+187, r12vrr_stack+271, r12vrr_stack+208, r12vrr_stack+96, r12vrr_stack+50);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21, r12vrr_stack+271, r12vrr_stack+447, r12vrr_stack+363, r12vrr_stack+208, r12vrr_stack+187);
 tmp = r12vrr_stack + 21;
 target_ptr = Libr12->t2vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+49, r12vrr_stack+447, r12vrr_stack+141, r12vrr_stack+568, r12vrr_stack+363, r12vrr_stack+271);
 tmp = r12vrr_stack + 49;
 target_ptr = Libr12->t2vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+85, r12vrr_stack+141, r12vrr_stack+299, r12vrr_stack+757, r12vrr_stack+568, r12vrr_stack+447);
 tmp = r12vrr_stack + 85;
 target_ptr = Libr12->t2vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_00h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+483, r12vrr_stack+187, r12vrr_stack+208, r12vrr_stack+271, NULL, NULL);
 tmp = r12vrr_stack + 483;
 target_ptr = Libr12->t1vrr_classes[0][5];
 for(i=0;i<21;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_00i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+504, r12vrr_stack+271, r12vrr_stack+363, r12vrr_stack+447, NULL, NULL);
 tmp = r12vrr_stack + 504;
 target_ptr = Libr12->t1vrr_classes[0][6];
 for(i=0;i<28;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+532, r12vrr_stack+447, r12vrr_stack+568, r12vrr_stack+141, NULL, NULL);
 tmp = r12vrr_stack + 532;
 target_ptr = Libr12->t1vrr_classes[0][7];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+568, r12vrr_stack+141, r12vrr_stack+757, r12vrr_stack+299, NULL, NULL);
 tmp = r12vrr_stack + 568;
 target_ptr = Libr12->t1vrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+299, r12vrr_stack+704, r12vrr_stack+676, r12vrr_stack+141, r12vrr_stack+447, r12vrr_stack+271, NULL);
 tmp = r12vrr_stack + 299;
 target_ptr = Libr12->rvrr_classes[0][8];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];


}

